/*
 * Copyright (c) Contributors, http://opensimulator.org/
 * See CONTRIBUTORS.TXT for a full list of copyright holders.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the OpenSim Project nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

using System;using Tools;
namespace OpenSim.Region.ScriptEngine.DotNetEngine.Compiler.LSL {
//%+STRING_CONSTANT+3
public class STRING_CONSTANT : TOKEN{
public override string yyname { get { return "STRING_CONSTANT"; }}
public override int yynum { get { return 3; }}
public STRING_CONSTANT(Lexer yyl):base(yyl){}}
//%INCREMENT+4
public class INCREMENT : TOKEN{ public override string yyname { get { return "INCREMENT";}}
public override int yynum { get { return 4; }}
 public INCREMENT(Lexer yyl):base(yyl) {}}
//%DECREMENT+5
public class DECREMENT : TOKEN{ public override string yyname { get { return "DECREMENT";}}
public override int yynum { get { return 5; }}
 public DECREMENT(Lexer yyl):base(yyl) {}}
//%PLUS_EQUALS+6
public class PLUS_EQUALS : TOKEN{ public override string yyname { get { return "PLUS_EQUALS";}}
public override int yynum { get { return 6; }}
 public PLUS_EQUALS(Lexer yyl):base(yyl) {}}
//%MINUS_EQUALS+7
public class MINUS_EQUALS : TOKEN{ public override string yyname { get { return "MINUS_EQUALS";}}
public override int yynum { get { return 7; }}
 public MINUS_EQUALS(Lexer yyl):base(yyl) {}}
//%STAR_EQUALS+8
public class STAR_EQUALS : TOKEN{ public override string yyname { get { return "STAR_EQUALS";}}
public override int yynum { get { return 8; }}
 public STAR_EQUALS(Lexer yyl):base(yyl) {}}
//%SLASH_EQUALS+9
public class SLASH_EQUALS : TOKEN{ public override string yyname { get { return "SLASH_EQUALS";}}
public override int yynum { get { return 9; }}
 public SLASH_EQUALS(Lexer yyl):base(yyl) {}}
//%PERCENT_EQUALS+10
public class PERCENT_EQUALS : TOKEN{ public override string yyname { get { return "PERCENT_EQUALS";}}
public override int yynum { get { return 10; }}
 public PERCENT_EQUALS(Lexer yyl):base(yyl) {}}
//%SEMICOLON+11
public class SEMICOLON : TOKEN{ public override string yyname { get { return "SEMICOLON";}}
public override int yynum { get { return 11; }}
 public SEMICOLON(Lexer yyl):base(yyl) {}}
//%LEFT_BRACE+12
public class LEFT_BRACE : TOKEN{ public override string yyname { get { return "LEFT_BRACE";}}
public override int yynum { get { return 12; }}
 public LEFT_BRACE(Lexer yyl):base(yyl) {}}
//%RIGHT_BRACE+13
public class RIGHT_BRACE : TOKEN{ public override string yyname { get { return "RIGHT_BRACE";}}
public override int yynum { get { return 13; }}
 public RIGHT_BRACE(Lexer yyl):base(yyl) {}}
//%COMMA+14
public class COMMA : TOKEN{ public override string yyname { get { return "COMMA";}}
public override int yynum { get { return 14; }}
 public COMMA(Lexer yyl):base(yyl) {}}
//%EQUALS+15
public class EQUALS : TOKEN{ public override string yyname { get { return "EQUALS";}}
public override int yynum { get { return 15; }}
 public EQUALS(Lexer yyl):base(yyl) {}}
//%LEFT_PAREN+16
public class LEFT_PAREN : TOKEN{ public override string yyname { get { return "LEFT_PAREN";}}
public override int yynum { get { return 16; }}
 public LEFT_PAREN(Lexer yyl):base(yyl) {}}
//%RIGHT_PAREN+17
public class RIGHT_PAREN : TOKEN{ public override string yyname { get { return "RIGHT_PAREN";}}
public override int yynum { get { return 17; }}
 public RIGHT_PAREN(Lexer yyl):base(yyl) {}}
//%PLUS+18
public class PLUS : TOKEN{ public override string yyname { get { return "PLUS";}}
public override int yynum { get { return 18; }}
 public PLUS(Lexer yyl):base(yyl) {}}
//%MINUS+19
public class MINUS : TOKEN{ public override string yyname { get { return "MINUS";}}
public override int yynum { get { return 19; }}
 public MINUS(Lexer yyl):base(yyl) {}}
//%STAR+20
public class STAR : TOKEN{ public override string yyname { get { return "STAR";}}
public override int yynum { get { return 20; }}
 public STAR(Lexer yyl):base(yyl) {}}
//%SLASH+21
public class SLASH : TOKEN{ public override string yyname { get { return "SLASH";}}
public override int yynum { get { return 21; }}
 public SLASH(Lexer yyl):base(yyl) {}}
//%PERCENT+22
public class PERCENT : TOKEN{ public override string yyname { get { return "PERCENT";}}
public override int yynum { get { return 22; }}
 public PERCENT(Lexer yyl):base(yyl) {}}
//%AT+23
public class AT : TOKEN{ public override string yyname { get { return "AT";}}
public override int yynum { get { return 23; }}
 public AT(Lexer yyl):base(yyl) {}}
//%PERIOD+24
public class PERIOD : TOKEN{ public override string yyname { get { return "PERIOD";}}
public override int yynum { get { return 24; }}
 public PERIOD(Lexer yyl):base(yyl) {}}
//%LEFT_ANGLE+25
public class LEFT_ANGLE : TOKEN{ public override string yyname { get { return "LEFT_ANGLE";}}
public override int yynum { get { return 25; }}
 public LEFT_ANGLE(Lexer yyl):base(yyl) {}}
//%RIGHT_ANGLE+26
public class RIGHT_ANGLE : TOKEN{ public override string yyname { get { return "RIGHT_ANGLE";}}
public override int yynum { get { return 26; }}
 public RIGHT_ANGLE(Lexer yyl):base(yyl) {}}
//%LEFT_BRACKET+27
public class LEFT_BRACKET : TOKEN{ public override string yyname { get { return "LEFT_BRACKET";}}
public override int yynum { get { return 27; }}
 public LEFT_BRACKET(Lexer yyl):base(yyl) {}}
//%RIGHT_BRACKET+28
public class RIGHT_BRACKET : TOKEN{ public override string yyname { get { return "RIGHT_BRACKET";}}
public override int yynum { get { return 28; }}
 public RIGHT_BRACKET(Lexer yyl):base(yyl) {}}
//%EQUALS_EQUALS+29
public class EQUALS_EQUALS : TOKEN{ public override string yyname { get { return "EQUALS_EQUALS";}}
public override int yynum { get { return 29; }}
 public EQUALS_EQUALS(Lexer yyl):base(yyl) {}}
//%EXCLAMATION_EQUALS+30
public class EXCLAMATION_EQUALS : TOKEN{ public override string yyname { get { return "EXCLAMATION_EQUALS";}}
public override int yynum { get { return 30; }}
 public EXCLAMATION_EQUALS(Lexer yyl):base(yyl) {}}
//%LESS_EQUALS+31
public class LESS_EQUALS : TOKEN{ public override string yyname { get { return "LESS_EQUALS";}}
public override int yynum { get { return 31; }}
 public LESS_EQUALS(Lexer yyl):base(yyl) {}}
//%GREATER_EQUALS+32
public class GREATER_EQUALS : TOKEN{ public override string yyname { get { return "GREATER_EQUALS";}}
public override int yynum { get { return 32; }}
 public GREATER_EQUALS(Lexer yyl):base(yyl) {}}
//%AMP+33
public class AMP : TOKEN{ public override string yyname { get { return "AMP";}}
public override int yynum { get { return 33; }}
 public AMP(Lexer yyl):base(yyl) {}}
//%STROKE+34
public class STROKE : TOKEN{ public override string yyname { get { return "STROKE";}}
public override int yynum { get { return 34; }}
 public STROKE(Lexer yyl):base(yyl) {}}
//%CARET+35
public class CARET : TOKEN{ public override string yyname { get { return "CARET";}}
public override int yynum { get { return 35; }}
 public CARET(Lexer yyl):base(yyl) {}}
//%TILDE+36
public class TILDE : TOKEN{ public override string yyname { get { return "TILDE";}}
public override int yynum { get { return 36; }}
 public TILDE(Lexer yyl):base(yyl) {}}
//%EXCLAMATION+37
public class EXCLAMATION : TOKEN{ public override string yyname { get { return "EXCLAMATION";}}
public override int yynum { get { return 37; }}
 public EXCLAMATION(Lexer yyl):base(yyl) {}}
//%AMP_AMP+38
public class AMP_AMP : TOKEN{ public override string yyname { get { return "AMP_AMP";}}
public override int yynum { get { return 38; }}
 public AMP_AMP(Lexer yyl):base(yyl) {}}
//%STROKE_STROKE+39
public class STROKE_STROKE : TOKEN{ public override string yyname { get { return "STROKE_STROKE";}}
public override int yynum { get { return 39; }}
 public STROKE_STROKE(Lexer yyl):base(yyl) {}}
//%LEFT_SHIFT+40
public class LEFT_SHIFT : TOKEN{ public override string yyname { get { return "LEFT_SHIFT";}}
public override int yynum { get { return 40; }}
 public LEFT_SHIFT(Lexer yyl):base(yyl) {}}
//%RIGHT_SHIFT+41
public class RIGHT_SHIFT : TOKEN{ public override string yyname { get { return "RIGHT_SHIFT";}}
public override int yynum { get { return 41; }}
 public RIGHT_SHIFT(Lexer yyl):base(yyl) {}}
//%IF+42
public class IF : TOKEN{ public override string yyname { get { return "IF";}}
public override int yynum { get { return 42; }}
 public IF(Lexer yyl):base(yyl) {}}
//%ELSE+43
public class ELSE : TOKEN{ public override string yyname { get { return "ELSE";}}
public override int yynum { get { return 43; }}
 public ELSE(Lexer yyl):base(yyl) {}}
//%DO+44
public class DO : TOKEN{ public override string yyname { get { return "DO";}}
public override int yynum { get { return 44; }}
 public DO(Lexer yyl):base(yyl) {}}
//%WHILE+45
public class WHILE : TOKEN{ public override string yyname { get { return "WHILE";}}
public override int yynum { get { return 45; }}
 public WHILE(Lexer yyl):base(yyl) {}}
//%FOR+46
public class FOR : TOKEN{ public override string yyname { get { return "FOR";}}
public override int yynum { get { return 46; }}
 public FOR(Lexer yyl):base(yyl) {}}
//%DEFAULT_STATE+47
public class DEFAULT_STATE : TOKEN{ public override string yyname { get { return "DEFAULT_STATE";}}
public override int yynum { get { return 47; }}
 public DEFAULT_STATE(Lexer yyl):base(yyl) {}}
//%STATE+48
public class STATE : TOKEN{ public override string yyname { get { return "STATE";}}
public override int yynum { get { return 48; }}
 public STATE(Lexer yyl):base(yyl) {}}
//%JUMP+49
public class JUMP : TOKEN{ public override string yyname { get { return "JUMP";}}
public override int yynum { get { return 49; }}
 public JUMP(Lexer yyl):base(yyl) {}}
//%RETURN+50
public class RETURN : TOKEN{ public override string yyname { get { return "RETURN";}}
public override int yynum { get { return 50; }}
 public RETURN(Lexer yyl):base(yyl) {}}
//%INTEGER_TYPE+51
public class INTEGER_TYPE : TOKEN{ public override string yyname { get { return "INTEGER_TYPE";}}
public override int yynum { get { return 51; }}
 public INTEGER_TYPE(Lexer yyl):base(yyl) {}}
//%FLOAT_TYPE+52
public class FLOAT_TYPE : TOKEN{ public override string yyname { get { return "FLOAT_TYPE";}}
public override int yynum { get { return 52; }}
 public FLOAT_TYPE(Lexer yyl):base(yyl) {}}
//%STRING_TYPE+53
public class STRING_TYPE : TOKEN{ public override string yyname { get { return "STRING_TYPE";}}
public override int yynum { get { return 53; }}
 public STRING_TYPE(Lexer yyl):base(yyl) {}}
//%KEY_TYPE+54
public class KEY_TYPE : TOKEN{ public override string yyname { get { return "KEY_TYPE";}}
public override int yynum { get { return 54; }}
 public KEY_TYPE(Lexer yyl):base(yyl) {}}
//%VECTOR_TYPE+55
public class VECTOR_TYPE : TOKEN{ public override string yyname { get { return "VECTOR_TYPE";}}
public override int yynum { get { return 55; }}
 public VECTOR_TYPE(Lexer yyl):base(yyl) {}}
//%ROTATION_TYPE+56
public class ROTATION_TYPE : TOKEN{ public override string yyname { get { return "ROTATION_TYPE";}}
public override int yynum { get { return 56; }}
 public ROTATION_TYPE(Lexer yyl):base(yyl) {}}
//%LIST_TYPE+57
public class LIST_TYPE : TOKEN{ public override string yyname { get { return "LIST_TYPE";}}
public override int yynum { get { return 57; }}
 public LIST_TYPE(Lexer yyl):base(yyl) {}}
//%AT_ROT_TARGET_EVENT+58
public class AT_ROT_TARGET_EVENT : TOKEN{ public override string yyname { get { return "AT_ROT_TARGET_EVENT";}}
public override int yynum { get { return 58; }}
 public AT_ROT_TARGET_EVENT(Lexer yyl):base(yyl) {}}
//%AT_TARGET_EVENT+59
public class AT_TARGET_EVENT : TOKEN{ public override string yyname { get { return "AT_TARGET_EVENT";}}
public override int yynum { get { return 59; }}
 public AT_TARGET_EVENT(Lexer yyl):base(yyl) {}}
//%ATTACH_EVENT+60
public class ATTACH_EVENT : TOKEN{ public override string yyname { get { return "ATTACH_EVENT";}}
public override int yynum { get { return 60; }}
 public ATTACH_EVENT(Lexer yyl):base(yyl) {}}
//%CHANGED_EVENT+61
public class CHANGED_EVENT : TOKEN{ public override string yyname { get { return "CHANGED_EVENT";}}
public override int yynum { get { return 61; }}
 public CHANGED_EVENT(Lexer yyl):base(yyl) {}}
//%COLLISION_EVENT+62
public class COLLISION_EVENT : TOKEN{ public override string yyname { get { return "COLLISION_EVENT";}}
public override int yynum { get { return 62; }}
 public COLLISION_EVENT(Lexer yyl):base(yyl) {}}
//%COLLISION_END_EVENT+63
public class COLLISION_END_EVENT : TOKEN{ public override string yyname { get { return "COLLISION_END_EVENT";}}
public override int yynum { get { return 63; }}
 public COLLISION_END_EVENT(Lexer yyl):base(yyl) {}}
//%COLLISION_START_EVENT+64
public class COLLISION_START_EVENT : TOKEN{ public override string yyname { get { return "COLLISION_START_EVENT";}}
public override int yynum { get { return 64; }}
 public COLLISION_START_EVENT(Lexer yyl):base(yyl) {}}
//%CONTROL_EVENT+65
public class CONTROL_EVENT : TOKEN{ public override string yyname { get { return "CONTROL_EVENT";}}
public override int yynum { get { return 65; }}
 public CONTROL_EVENT(Lexer yyl):base(yyl) {}}
//%DATASERVER_EVENT+66
public class DATASERVER_EVENT : TOKEN{ public override string yyname { get { return "DATASERVER_EVENT";}}
public override int yynum { get { return 66; }}
 public DATASERVER_EVENT(Lexer yyl):base(yyl) {}}
//%EMAIL_EVENT+67
public class EMAIL_EVENT : TOKEN{ public override string yyname { get { return "EMAIL_EVENT";}}
public override int yynum { get { return 67; }}
 public EMAIL_EVENT(Lexer yyl):base(yyl) {}}
//%HTTP_RESPONSE_EVENT+68
public class HTTP_RESPONSE_EVENT : TOKEN{ public override string yyname { get { return "HTTP_RESPONSE_EVENT";}}
public override int yynum { get { return 68; }}
 public HTTP_RESPONSE_EVENT(Lexer yyl):base(yyl) {}}
//%LAND_COLLISION_EVENT+69
public class LAND_COLLISION_EVENT : TOKEN{ public override string yyname { get { return "LAND_COLLISION_EVENT";}}
public override int yynum { get { return 69; }}
 public LAND_COLLISION_EVENT(Lexer yyl):base(yyl) {}}
//%LAND_COLLISION_END_EVENT+70
public class LAND_COLLISION_END_EVENT : TOKEN{ public override string yyname { get { return "LAND_COLLISION_END_EVENT";}}
public override int yynum { get { return 70; }}
 public LAND_COLLISION_END_EVENT(Lexer yyl):base(yyl) {}}
//%LAND_COLLISION_START_EVENT+71
public class LAND_COLLISION_START_EVENT : TOKEN{ public override string yyname { get { return "LAND_COLLISION_START_EVENT";}}
public override int yynum { get { return 71; }}
 public LAND_COLLISION_START_EVENT(Lexer yyl):base(yyl) {}}
//%LINK_MESSAGE_EVENT+72
public class LINK_MESSAGE_EVENT : TOKEN{ public override string yyname { get { return "LINK_MESSAGE_EVENT";}}
public override int yynum { get { return 72; }}
 public LINK_MESSAGE_EVENT(Lexer yyl):base(yyl) {}}
//%LISTEN_EVENT+73
public class LISTEN_EVENT : TOKEN{ public override string yyname { get { return "LISTEN_EVENT";}}
public override int yynum { get { return 73; }}
 public LISTEN_EVENT(Lexer yyl):base(yyl) {}}
//%MONEY_EVENT+74
public class MONEY_EVENT : TOKEN{ public override string yyname { get { return "MONEY_EVENT";}}
public override int yynum { get { return 74; }}
 public MONEY_EVENT(Lexer yyl):base(yyl) {}}
//%MOVING_END_EVENT+75
public class MOVING_END_EVENT : TOKEN{ public override string yyname { get { return "MOVING_END_EVENT";}}
public override int yynum { get { return 75; }}
 public MOVING_END_EVENT(Lexer yyl):base(yyl) {}}
//%MOVING_START_EVENT+76
public class MOVING_START_EVENT : TOKEN{ public override string yyname { get { return "MOVING_START_EVENT";}}
public override int yynum { get { return 76; }}
 public MOVING_START_EVENT(Lexer yyl):base(yyl) {}}
//%NO_SENSOR_EVENT+77
public class NO_SENSOR_EVENT : TOKEN{ public override string yyname { get { return "NO_SENSOR_EVENT";}}
public override int yynum { get { return 77; }}
 public NO_SENSOR_EVENT(Lexer yyl):base(yyl) {}}
//%NOT_AT_ROT_TARGET_EVENT+78
public class NOT_AT_ROT_TARGET_EVENT : TOKEN{ public override string yyname { get { return "NOT_AT_ROT_TARGET_EVENT";}}
public override int yynum { get { return 78; }}
 public NOT_AT_ROT_TARGET_EVENT(Lexer yyl):base(yyl) {}}
//%NOT_AT_TARGET_EVENT+79
public class NOT_AT_TARGET_EVENT : TOKEN{ public override string yyname { get { return "NOT_AT_TARGET_EVENT";}}
public override int yynum { get { return 79; }}
 public NOT_AT_TARGET_EVENT(Lexer yyl):base(yyl) {}}
//%OBJECT_REZ_EVENT+80
public class OBJECT_REZ_EVENT : TOKEN{ public override string yyname { get { return "OBJECT_REZ_EVENT";}}
public override int yynum { get { return 80; }}
 public OBJECT_REZ_EVENT(Lexer yyl):base(yyl) {}}
//%ON_REZ_EVENT+81
public class ON_REZ_EVENT : TOKEN{ public override string yyname { get { return "ON_REZ_EVENT";}}
public override int yynum { get { return 81; }}
 public ON_REZ_EVENT(Lexer yyl):base(yyl) {}}
//%REMOTE_DATA_EVENT+82
public class REMOTE_DATA_EVENT : TOKEN{ public override string yyname { get { return "REMOTE_DATA_EVENT";}}
public override int yynum { get { return 82; }}
 public REMOTE_DATA_EVENT(Lexer yyl):base(yyl) {}}
//%RUN_TIME_PERMISSIONS_EVENT+83
public class RUN_TIME_PERMISSIONS_EVENT : TOKEN{ public override string yyname { get { return "RUN_TIME_PERMISSIONS_EVENT";}}
public override int yynum { get { return 83; }}
 public RUN_TIME_PERMISSIONS_EVENT(Lexer yyl):base(yyl) {}}
//%SENSOR_EVENT+84
public class SENSOR_EVENT : TOKEN{ public override string yyname { get { return "SENSOR_EVENT";}}
public override int yynum { get { return 84; }}
 public SENSOR_EVENT(Lexer yyl):base(yyl) {}}
//%STATE_ENTRY_EVENT+85
public class STATE_ENTRY_EVENT : TOKEN{ public override string yyname { get { return "STATE_ENTRY_EVENT";}}
public override int yynum { get { return 85; }}
 public STATE_ENTRY_EVENT(Lexer yyl):base(yyl) {}}
//%STATE_EXIT_EVENT+86
public class STATE_EXIT_EVENT : TOKEN{ public override string yyname { get { return "STATE_EXIT_EVENT";}}
public override int yynum { get { return 86; }}
 public STATE_EXIT_EVENT(Lexer yyl):base(yyl) {}}
//%TIMER_EVENT+87
public class TIMER_EVENT : TOKEN{ public override string yyname { get { return "TIMER_EVENT";}}
public override int yynum { get { return 87; }}
 public TIMER_EVENT(Lexer yyl):base(yyl) {}}
//%TOUCH_EVENT+88
public class TOUCH_EVENT : TOKEN{ public override string yyname { get { return "TOUCH_EVENT";}}
public override int yynum { get { return 88; }}
 public TOUCH_EVENT(Lexer yyl):base(yyl) {}}
//%TOUCH_START_EVENT+89
public class TOUCH_START_EVENT : TOKEN{ public override string yyname { get { return "TOUCH_START_EVENT";}}
public override int yynum { get { return 89; }}
 public TOUCH_START_EVENT(Lexer yyl):base(yyl) {}}
//%TOUCH_END_EVENT+90
public class TOUCH_END_EVENT : TOKEN{ public override string yyname { get { return "TOUCH_END_EVENT";}}
public override int yynum { get { return 90; }}
 public TOUCH_END_EVENT(Lexer yyl):base(yyl) {}}
//%IDENT+91
public class IDENT : TOKEN{ public override string yyname { get { return "IDENT";}}
public override int yynum { get { return 91; }}
 public IDENT(Lexer yyl):base(yyl) {}}
//%INTEGER_CONSTANT+92
public class INTEGER_CONSTANT : TOKEN{ public override string yyname { get { return "INTEGER_CONSTANT";}}
public override int yynum { get { return 92; }}
 public INTEGER_CONSTANT(Lexer yyl):base(yyl) {}}
//%HEX_INTEGER_CONSTANT+93
public class HEX_INTEGER_CONSTANT : TOKEN{ public override string yyname { get { return "HEX_INTEGER_CONSTANT";}}
public override int yynum { get { return 93; }}
 public HEX_INTEGER_CONSTANT(Lexer yyl):base(yyl) {}}
//%FLOAT_CONSTANT+94
public class FLOAT_CONSTANT : TOKEN{ public override string yyname { get { return "FLOAT_CONSTANT";}}
public override int yynum { get { return 94; }}
 public FLOAT_CONSTANT(Lexer yyl):base(yyl) {}}
//%|LSLTokens
public class yyLSLTokens : YyLexer {
 public yyLSLTokens(ErrorHandler eh):base(eh) { arr = new int[] { 
101,4,6,52,0,
46,0,53,0,6,
102,4,16,117,0,
115,0,45,0,97,
0,115,0,99,0,
105,0,105,0,2,
0,103,5,27,7,
0,104,9,1,0,
3,192,0,105,5,
27,3,65,0,2,
1,3,66,0,2,
1,3,67,0,2,
1,3,68,0,2,
1,3,69,0,2,
1,3,70,0,2,
1,3,71,0,2,
1,3,72,0,2,
1,3,73,0,2,
1,3,74,0,2,
1,3,75,0,2,
1,3,76,0,2,
1,3,77,0,2,
1,3,78,0,2,
1,3,79,0,2,
1,3,80,0,2,
1,3,81,0,2,
1,3,82,0,2,
1,3,83,0,2,
1,3,84,0,2,
1,3,85,0,2,
1,3,86,0,2,
1,3,87,0,2,
1,3,88,0,2,
1,3,89,0,2,
1,3,90,0,2,
1,3,192,0,2,
1,7,1,106,9,
1,1,3,170,0,
107,5,27,3,109,
0,2,1,3,110,
0,2,1,3,111,
0,2,1,3,112,
0,2,1,3,113,
0,2,1,3,114,
0,2,1,3,115,
0,2,1,3,116,
0,2,1,3,117,
0,2,1,3,118,
0,2,1,3,119,
0,2,1,3,120,
0,2,1,3,121,
0,2,1,3,122,
0,2,1,3,170,
0,2,1,3,97,
0,2,1,3,98,
0,2,1,3,99,
0,2,1,3,100,
0,2,1,3,101,
0,2,1,3,102,
0,2,1,3,103,
0,2,1,3,104,
0,2,1,3,105,
0,2,1,3,106,
0,2,1,3,107,
0,2,1,3,108,
0,2,1,7,2,
108,9,1,2,3,
197,1,109,5,1,
3,197,1,2,1,
7,3,110,9,1,
3,3,176,2,111,
5,1,3,176,2,
2,1,7,4,112,
9,1,4,3,187,
1,113,5,1,3,
187,1,2,1,7,
5,114,9,1,5,
3,0,3,115,5,
1,3,0,3,2,
1,7,6,116,9,
1,6,3,3,9,
117,5,1,3,3,
9,2,1,7,7,
118,9,1,7,3,
136,4,119,5,1,
3,136,4,2,1,
7,8,120,9,1,
8,3,96,6,121,
5,11,3,96,6,
2,1,3,48,0,
2,1,3,49,0,
2,1,3,50,0,
2,1,3,51,0,
2,1,3,52,0,
2,1,3,53,0,
2,1,3,54,0,
2,1,3,55,0,
2,1,3,56,0,
2,1,3,57,0,
2,1,7,9,122,
9,1,9,3,96,
33,123,5,1,3,
96,33,2,1,7,
10,124,9,1,10,
3,178,0,125,5,
1,3,178,0,2,
1,7,11,126,9,
1,11,3,160,0,
127,5,2,3,160,
0,2,1,3,32,
0,2,1,7,12,
128,9,1,12,3,
40,32,129,5,1,
3,40,32,2,1,
7,13,130,9,1,
13,3,41,32,131,
5,1,3,41,32,
2,1,7,14,132,
9,1,14,3,1,
0,133,5,5,3,
0,0,2,1,3,
1,0,2,1,3,
13,0,2,1,3,
9,0,2,1,3,
10,0,2,1,7,
15,134,9,1,15,
3,15,7,135,5,
1,3,15,7,2,
1,7,17,136,9,
1,17,3,0,224,
137,5,1,3,0,
224,2,1,7,18,
138,9,1,18,3,
63,32,139,5,2,
3,63,32,2,1,
3,95,0,2,1,
7,19,140,9,1,
19,3,173,0,141,
5,2,3,45,0,
2,1,3,173,0,
2,1,7,20,142,
9,1,20,3,58,
15,143,5,4,3,
123,0,2,1,3,
91,0,2,1,3,
58,15,2,1,3,
40,0,2,1,7,
21,144,9,1,21,
3,59,15,145,5,
4,3,59,15,2,
1,3,125,0,2,
1,3,93,0,2,
1,3,41,0,2,
1,7,22,146,9,
1,22,3,171,0,
147,5,1,3,171,
0,2,1,7,23,
148,9,1,23,3,
187,0,149,5,1,
3,187,0,2,1,
7,24,150,9,1,
24,3,35,0,151,
5,12,3,37,0,
2,1,3,38,0,
2,1,3,42,0,
2,1,3,44,0,
2,1,3,46,0,
2,1,3,47,0,
2,1,3,92,0,
2,1,3,59,0,
2,1,3,64,0,
2,1,3,33,0,
2,1,3,34,0,
2,1,3,35,0,
2,1,7,25,152,
9,1,25,3,172,
0,153,5,7,3,
172,0,2,1,3,
124,0,2,1,3,
126,0,2,1,3,
60,0,2,1,3,
61,0,2,1,3,
62,0,2,1,3,
43,0,2,1,7,
26,154,9,1,26,
3,36,0,155,5,
1,3,36,0,2,
1,7,27,156,9,
1,27,3,96,0,
157,5,2,3,94,
0,2,1,3,96,
0,2,1,7,27,
2,0,158,5,2,
159,4,18,89,0,
89,0,73,0,78,
0,73,0,84,0,
73,0,65,0,76,
0,160,12,1,1092,
161,5,91,3,9,
0,162,12,1,39807,
163,5,0,164,11,
1,1069,0,165,4,
0,1,-1,3,10,
0,162,3,13,0,
162,3,32,0,162,
3,33,0,166,12,
1,42720,167,5,1,
3,61,0,168,12,
1,42835,169,5,0,
170,11,1,142,0,
171,4,36,69,0,
88,0,67,0,76,
0,65,0,77,0,
65,0,84,0,73,
0,79,0,78,0,
95,0,69,0,81,
0,85,0,65,0,
76,0,83,0,1,
-1,172,11,1,180,
0,173,4,22,69,
0,88,0,67,0,
76,0,65,0,77,
0,65,0,84,0,
73,0,79,0,78,
0,1,-1,3,34,
0,174,12,1,42961,
175,5,0,176,11,
1,951,0,165,1,
-1,3,37,0,177,
12,1,41031,178,5,
1,3,61,0,179,
12,1,41146,180,5,
0,181,11,1,40,
0,182,4,28,80,
0,69,0,82,0,
67,0,69,0,78,
0,84,0,95,0,
69,0,81,0,85,
0,65,0,76,0,
83,0,1,-1,183,
11,1,101,0,184,
4,14,80,0,69,
0,82,0,67,0,
69,0,78,0,84,
0,1,-1,3,38,
0,185,12,1,41272,
186,5,1,3,38,
0,187,12,1,41372,
188,5,0,189,11,
1,185,0,190,4,
14,65,0,77,0,
80,0,95,0,65,
0,77,0,80,0,
1,-1,191,11,1,
160,0,192,4,6,
65,0,77,0,80,
0,1,-1,3,40,
0,193,12,1,40544,
194,5,0,195,11,
1,71,0,196,4,
20,76,0,69,0,
70,0,84,0,95,
0,80,0,65,0,
82,0,69,0,78,
0,1,-1,3,41,
0,197,12,1,40908,
198,5,0,199,11,
1,76,0,200,4,
22,82,0,73,0,
71,0,72,0,84,
0,95,0,80,0,
65,0,82,0,69,
0,78,0,1,-1,
3,42,0,201,12,
1,41513,202,5,1,
3,61,0,203,12,
1,41628,204,5,0,
205,11,1,28,0,
206,4,22,83,0,
84,0,65,0,82,
0,95,0,69,0,
81,0,85,0,65,
0,76,0,83,0,
1,-1,207,11,1,
91,0,208,4,8,
83,0,84,0,65,
0,82,0,1,-1,
3,43,0,209,12,
1,44409,210,5,2,
3,61,0,211,12,
1,44524,212,5,0,
213,11,1,16,0,
214,4,22,80,0,
76,0,85,0,83,
0,95,0,69,0,
81,0,85,0,65,
0,76,0,83,0,
1,-1,3,43,0,
215,12,1,44646,216,
5,0,217,11,1,
2,0,218,4,18,
73,0,78,0,67,
0,82,0,69,0,
77,0,69,0,78,
0,84,0,1,-1,
219,11,1,81,0,
220,4,8,80,0,
76,0,85,0,83,
0,1,-1,3,44,
0,221,12,1,41754,
222,5,0,223,11,
1,61,0,224,4,
10,67,0,79,0,
77,0,77,0,65,
0,1,-1,3,45,
0,225,12,1,39939,
226,5,17,3,45,
0,227,12,1,40026,
228,5,0,229,11,
1,10,0,230,4,
18,68,0,69,0,
67,0,82,0,69,
0,77,0,69,0,
78,0,84,0,1,
-1,3,46,0,231,
12,1,39479,232,5,
14,3,48,0,233,
12,1,39541,234,5,
14,3,48,0,233,
3,49,0,233,3,
50,0,233,3,51,
0,233,3,52,0,
233,3,53,0,233,
3,54,0,233,3,
55,0,233,3,56,
0,233,3,57,0,
233,3,101,0,235,
12,1,38959,236,5,
12,3,43,0,237,
12,1,1664,238,5,
10,3,48,0,239,
12,1,1726,240,5,
12,3,48,0,239,
3,49,0,239,3,
50,0,239,3,51,
0,239,3,52,0,
239,3,53,0,239,
3,54,0,239,3,
55,0,239,3,56,
0,239,3,57,0,
239,3,102,0,241,
12,1,1732,242,5,
0,243,11,1,882,
0,244,4,28,70,
0,76,0,79,0,
65,0,84,0,95,
0,67,0,79,0,
78,0,83,0,84,
0,65,0,78,0,
84,0,1,-1,3,
70,0,241,245,11,
1,882,0,244,1,
-1,3,49,0,239,
3,50,0,239,3,
51,0,239,3,52,
0,239,3,53,0,
239,3,54,0,239,
3,55,0,239,3,
56,0,239,3,57,
0,239,0,165,1,
-1,3,45,0,237,
3,48,0,239,3,
49,0,239,3,50,
0,239,3,51,0,
239,3,52,0,239,
3,53,0,239,3,
54,0,239,3,55,
0,239,3,56,0,
239,3,57,0,239,
0,165,1,-1,3,
102,0,241,3,69,
0,235,3,70,0,
241,246,11,1,882,
0,244,1,-1,3,
49,0,233,3,50,
0,233,3,51,0,
233,3,52,0,233,
3,53,0,233,3,
54,0,233,3,55,
0,233,3,56,0,
233,3,57,0,233,
3,101,0,235,3,
102,0,241,3,69,
0,235,3,70,0,
241,247,11,1,882,
0,244,1,-1,3,
48,0,248,12,1,
38954,249,5,17,3,
120,0,250,12,1,
39098,251,5,22,3,
102,0,252,12,1,
39099,253,5,22,3,
102,0,252,3,48,
0,252,3,49,0,
252,3,50,0,252,
3,51,0,252,3,
52,0,252,3,53,
0,252,3,54,0,
252,3,55,0,252,
3,56,0,252,3,
57,0,252,3,97,
0,252,3,98,0,
252,3,99,0,252,
3,100,0,252,3,
101,0,252,3,65,
0,252,3,66,0,
252,3,67,0,252,
3,68,0,252,3,
69,0,252,3,70,
0,252,254,11,1,
855,0,255,4,40,
72,0,69,0,88,
0,95,0,73,0,
78,0,84,0,69,
0,71,0,69,0,
82,0,95,0,67,
0,79,0,78,0,
83,0,84,0,65,
0,78,0,84,0,
1,-1,3,48,0,
252,3,49,0,252,
3,50,0,252,3,
51,0,252,3,52,
0,252,3,53,0,
252,3,54,0,252,
3,55,0,252,3,
56,0,252,3,57,
0,252,3,97,0,
252,3,98,0,252,
3,99,0,252,3,
100,0,252,3,101,
0,252,3,65,0,
252,3,66,0,252,
3,67,0,252,3,
68,0,252,3,69,
0,252,3,70,0,
252,0,165,1,-1,
3,48,0,256,12,
1,39376,257,5,15,
3,46,0,231,3,
48,0,256,3,49,
0,256,3,50,0,
256,3,51,0,256,
3,52,0,256,3,
53,0,256,3,54,
0,256,3,55,0,
256,3,56,0,256,
3,57,0,256,3,
101,0,235,3,102,
0,241,3,69,0,
235,3,70,0,241,
258,11,1,841,0,
259,4,32,73,0,
78,0,84,0,69,
0,71,0,69,0,
82,0,95,0,67,
0,79,0,78,0,
83,0,84,0,65,
0,78,0,84,0,
1,-1,3,49,0,
256,3,50,0,256,
3,88,0,250,3,
52,0,256,3,53,
0,256,3,51,0,
256,3,55,0,256,
3,56,0,256,3,
54,0,256,3,46,
0,231,3,57,0,
256,3,101,0,235,
3,102,0,241,3,
69,0,235,3,70,
0,241,260,11,1,
841,0,259,1,-1,
3,49,0,256,3,
50,0,256,3,51,
0,256,3,52,0,
256,3,53,0,256,
3,54,0,256,3,
55,0,256,3,56,
0,256,3,57,0,
256,3,61,0,261,
12,1,40174,262,5,
0,263,11,1,22,
0,264,4,24,77,
0,73,0,78,0,
85,0,83,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,-1,
3,101,0,235,3,
102,0,241,3,69,
0,235,3,70,0,
241,265,11,1,86,
0,266,4,10,77,
0,73,0,78,0,
85,0,83,0,1,
-1,3,46,0,267,
12,1,41875,268,5,
14,3,48,0,233,
3,49,0,233,3,
50,0,233,3,51,
0,233,3,52,0,
233,3,53,0,233,
3,54,0,233,3,
55,0,233,3,56,
0,233,3,57,0,
233,3,101,0,235,
3,102,0,241,3,
69,0,235,3,70,
0,241,269,11,1,
111,0,270,4,12,
80,0,69,0,82,
0,73,0,79,0,
68,0,1,-1,3,
47,0,271,12,1,
41996,272,5,2,3,
47,0,273,12,1,
42100,274,5,118,3,
1,0,275,12,1,
42101,276,5,118,3,
1,0,275,3,9,
0,275,3,96,33,
275,3,13,0,275,
3,0,3,275,3,
32,0,275,3,33,
0,275,3,34,0,
275,3,35,0,275,
3,36,0,275,3,
37,0,275,3,38,
0,275,3,40,0,
275,3,41,0,275,
3,42,0,275,3,
43,0,275,3,44,
0,275,3,45,0,
275,3,46,0,275,
3,47,0,275,3,
3,9,275,3,49,
0,275,3,50,0,
275,3,48,0,275,
3,52,0,275,3,
53,0,275,3,51,
0,275,3,55,0,
275,3,56,0,275,
3,54,0,275,3,
59,0,275,3,57,
0,275,3,61,0,
275,3,62,0,275,
3,60,0,275,3,
64,0,275,3,65,
0,275,3,66,0,
275,3,67,0,275,
3,68,0,275,3,
69,0,275,3,70,
0,275,3,71,0,
275,3,72,0,275,
3,73,0,275,3,
74,0,275,3,75,
0,275,3,76,0,
275,3,77,0,275,
3,78,0,275,3,
79,0,275,3,80,
0,275,3,81,0,
275,3,82,0,275,
3,83,0,275,3,
84,0,275,3,85,
0,275,3,86,0,
275,3,87,0,275,
3,88,0,275,3,
89,0,275,3,90,
0,275,3,91,0,
275,3,92,0,275,
3,93,0,275,3,
94,0,275,3,95,
0,275,3,96,0,
275,3,97,0,275,
3,98,0,275,3,
99,0,275,3,100,
0,275,3,101,0,
275,3,102,0,275,
3,103,0,275,3,
104,0,275,3,105,
0,275,3,106,0,
275,3,107,0,275,
3,15,7,275,3,
109,0,275,3,110,
0,275,3,111,0,
275,3,112,0,275,
3,113,0,275,3,
114,0,275,3,115,
0,275,3,116,0,
275,3,117,0,275,
3,118,0,275,3,
119,0,275,3,120,
0,275,3,121,0,
275,3,122,0,275,
3,108,0,275,3,
124,0,275,3,125,
0,275,3,96,6,
275,3,123,0,275,
3,126,0,275,3,
58,15,275,3,59,
15,275,3,136,4,
275,3,160,0,275,
3,170,0,275,3,
171,0,275,3,172,
0,275,3,173,0,
275,3,178,0,275,
3,176,2,275,3,
187,0,275,3,187,
1,275,3,192,0,
275,3,41,32,275,
3,197,1,275,3,
0,224,275,3,40,
32,275,3,63,32,
275,277,11,1,1073,
0,165,1,-1,3,
9,0,275,3,96,
33,275,3,13,0,
275,3,0,3,275,
3,32,0,275,3,
33,0,275,3,34,
0,275,3,35,0,
275,3,36,0,275,
3,37,0,275,3,
38,0,275,3,40,
0,275,3,41,0,
275,3,42,0,275,
3,43,0,275,3,
44,0,275,3,45,
0,275,3,46,0,
275,3,47,0,275,
3,3,9,275,3,
49,0,275,3,50,
0,275,3,48,0,
275,3,52,0,275,
3,53,0,275,3,
51,0,275,3,55,
0,275,3,56,0,
275,3,54,0,275,
3,59,0,275,3,
57,0,275,3,61,
0,275,3,62,0,
275,3,60,0,275,
3,64,0,275,3,
65,0,275,3,66,
0,275,3,67,0,
275,3,68,0,275,
3,69,0,275,3,
70,0,275,3,71,
0,275,3,72,0,
275,3,73,0,275,
3,74,0,275,3,
75,0,275,3,76,
0,275,3,77,0,
275,3,78,0,275,
3,79,0,275,3,
80,0,275,3,81,
0,275,3,82,0,
275,3,83,0,275,
3,84,0,275,3,
85,0,275,3,86,
0,275,3,87,0,
275,3,88,0,275,
3,89,0,275,3,
90,0,275,3,91,
0,275,3,92,0,
275,3,93,0,275,
3,94,0,275,3,
95,0,275,3,96,
0,275,3,97,0,
275,3,98,0,275,
3,99,0,275,3,
100,0,275,3,101,
0,275,3,102,0,
275,3,103,0,275,
3,104,0,275,3,
105,0,275,3,106,
0,275,3,107,0,
275,3,15,7,275,
3,109,0,275,3,
110,0,275,3,111,
0,275,3,112,0,
275,3,113,0,275,
3,114,0,275,3,
115,0,275,3,116,
0,275,3,117,0,
275,3,118,0,275,
3,119,0,275,3,
120,0,275,3,121,
0,275,3,122,0,
275,3,108,0,275,
3,124,0,275,3,
125,0,275,3,96,
6,275,3,123,0,
275,3,126,0,275,
3,58,15,275,3,
59,15,275,3,136,
4,275,3,160,0,
275,3,170,0,275,
3,171,0,275,3,
172,0,275,3,173,
0,275,3,178,0,
275,3,176,2,275,
3,187,0,275,3,
187,1,275,3,192,
0,275,3,41,32,
275,3,197,1,275,
3,0,224,275,3,
40,32,275,3,63,
32,275,278,11,1,
1073,0,165,1,-1,
3,61,0,279,12,
1,42351,280,5,0,
281,11,1,34,0,
282,4,24,83,0,
76,0,65,0,83,
0,72,0,95,0,
69,0,81,0,85,
0,65,0,76,0,
83,0,1,-1,283,
11,1,96,0,284,
4,10,83,0,76,
0,65,0,83,0,
72,0,1,-1,3,
48,0,248,3,49,
0,256,3,50,0,
256,3,51,0,256,
3,52,0,256,3,
53,0,256,3,54,
0,256,3,55,0,
256,3,56,0,256,
3,57,0,256,3,
59,0,285,12,1,
42478,286,5,0,287,
11,1,46,0,288,
4,18,83,0,69,
0,77,0,73,0,
67,0,79,0,76,
0,79,0,78,0,
1,-1,3,60,0,
289,12,1,43446,290,
5,2,3,60,0,
291,12,1,43560,292,
5,0,293,11,1,
197,0,294,4,20,
76,0,69,0,70,
0,84,0,95,0,
83,0,72,0,73,
0,70,0,84,0,
1,-1,3,61,0,
295,12,1,43681,296,
5,0,297,11,1,
148,0,298,4,22,
76,0,69,0,83,
0,83,0,95,0,
69,0,81,0,85,
0,65,0,76,0,
83,0,1,-1,299,
11,1,116,0,300,
4,20,76,0,69,
0,70,0,84,0,
95,0,65,0,78,
0,71,0,76,0,
69,0,1,-1,3,
61,0,301,12,1,
43807,302,5,1,3,
61,0,303,12,1,
43922,304,5,0,305,
11,1,136,0,306,
4,26,69,0,81,
0,85,0,65,0,
76,0,83,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,-1,
307,11,1,66,0,
308,4,12,69,0,
81,0,85,0,65,
0,76,0,83,0,
1,-1,3,62,0,
309,12,1,44048,310,
5,2,3,61,0,
311,12,1,44163,312,
5,0,313,11,1,
154,0,314,4,28,
71,0,82,0,69,
0,65,0,84,0,
69,0,82,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,-1,
3,62,0,315,12,
1,44284,316,5,0,
317,11,1,203,0,
318,4,22,82,0,
73,0,71,0,72,
0,84,0,95,0,
83,0,72,0,73,
0,70,0,84,0,
1,-1,319,11,1,
121,0,320,4,22,
82,0,73,0,71,
0,72,0,84,0,
95,0,65,0,78,
0,71,0,76,0,
69,0,1,-1,3,
64,0,321,12,1,
42599,322,5,0,323,
11,1,106,0,324,
4,4,65,0,84,
0,1,-1,3,65,
0,325,12,1,1093,
326,5,63,3,109,
0,327,12,1,1094,
328,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
329,11,1,829,0,
330,4,10,73,0,
68,0,69,0,78,
0,84,0,1,-1,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,331,11,
1,829,0,330,1,
-1,3,66,0,325,
3,67,0,325,3,
68,0,325,3,69,
0,332,12,1,1337,
333,5,65,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
43,0,237,3,45,
0,237,3,48,0,
334,12,1,1399,335,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,334,3,49,0,
334,3,50,0,334,
3,51,0,334,3,
52,0,334,3,53,
0,334,3,54,0,
334,3,55,0,334,
3,56,0,334,3,
57,0,334,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,336,12,1,1405,
337,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
338,11,1,829,0,
330,1,-1,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
336,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
339,11,1,829,0,
330,1,-1,3,49,
0,334,3,50,0,
334,3,51,0,334,
3,52,0,334,3,
53,0,334,3,54,
0,334,3,55,0,
334,3,56,0,334,
3,57,0,334,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
340,11,1,829,0,
330,1,-1,3,70,
0,341,12,1,2058,
342,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
343,11,1,829,0,
330,1,-1,3,71,
0,325,3,72,0,
325,3,73,0,325,
3,74,0,325,3,
75,0,325,3,76,
0,325,3,77,0,
325,3,78,0,325,
3,79,0,325,3,
80,0,325,3,81,
0,325,3,82,0,
325,3,83,0,325,
3,84,0,325,3,
85,0,325,3,86,
0,325,3,87,0,
325,3,88,0,325,
3,89,0,325,3,
90,0,325,3,91,
0,344,12,1,40422,
345,5,0,346,11,
1,126,0,347,4,
24,76,0,69,0,
70,0,84,0,95,
0,66,0,82,0,
65,0,67,0,75,
0,69,0,84,0,
1,-1,3,93,0,
348,12,1,40787,349,
5,0,350,11,1,
131,0,351,4,26,
82,0,73,0,71,
0,72,0,84,0,
95,0,66,0,82,
0,65,0,67,0,
75,0,69,0,84,
0,1,-1,3,94,
0,352,12,1,44771,
353,5,0,354,11,
1,170,0,355,4,
10,67,0,65,0,
82,0,69,0,84,
0,1,-1,3,95,
0,325,3,97,0,
356,12,1,20935,357,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,358,12,
1,20970,359,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,360,12,1,21005,
361,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
362,12,1,21048,363,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,364,12,1,
21093,365,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,366,
12,1,21143,367,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,368,11,
1,380,0,369,4,
24,65,0,84,0,
84,0,65,0,67,
0,72,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,370,11,
1,829,0,330,1,
-1,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,371,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,372,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,373,12,
1,21536,374,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,375,12,
1,21569,376,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,377,12,1,21599,
378,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,379,
12,1,21634,380,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,381,
12,1,21720,382,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,383,12,1,
21755,384,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,385,12,1,21798,
386,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,387,12,1,21831,
388,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,389,
12,1,21880,390,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,391,
12,1,21927,392,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,393,12,1,
21962,394,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,395,11,1,350,
0,396,4,38,65,
0,84,0,95,0,
82,0,79,0,84,
0,95,0,84,0,
65,0,82,0,71,
0,69,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,397,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
398,11,1,829,0,
330,1,-1,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,399,11,
1,829,0,330,1,
-1,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,400,
11,1,829,0,330,
1,-1,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,401,11,1,829,
0,330,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,402,
11,1,829,0,330,
1,-1,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
403,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,404,11,
1,829,0,330,1,
-1,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,405,11,1,829,
0,330,1,-1,3,
115,0,327,3,116,
0,406,12,1,22771,
407,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
408,12,1,22814,409,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
410,12,1,22847,411,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,412,12,
1,22896,413,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,414,12,
1,22943,415,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,416,12,1,22978,
417,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
418,11,1,367,0,
419,4,30,65,0,
84,0,95,0,84,
0,65,0,82,0,
71,0,69,0,84,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
420,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,421,11,1,829,
0,330,1,-1,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,422,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
423,11,1,829,0,
330,1,-1,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,424,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
425,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,426,11,1,829,
0,330,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,427,
11,1,829,0,330,
1,-1,3,98,0,
325,3,99,0,428,
12,1,23697,429,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,430,12,1,
23727,431,5,63,3,
109,0,327,3,110,
0,432,12,1,23756,
433,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,434,
12,1,23791,435,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,436,
12,1,23824,437,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,438,12,1,
23854,439,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
440,12,1,23908,441,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,442,
11,1,450,0,443,
4,26,67,0,79,
0,78,0,84,0,
82,0,79,0,76,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
444,11,1,829,0,
330,1,-1,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,445,11,
1,829,0,330,1,
-1,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,446,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,447,11,1,
829,0,330,1,-1,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,448,12,
1,24381,449,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,450,12,1,24435,
451,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,452,12,1,
24486,453,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,454,12,1,24520,
455,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,456,12,1,
24571,457,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
458,12,1,24601,459,
5,63,3,109,0,
327,3,110,0,460,
12,1,24630,461,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,462,
12,1,24716,463,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,464,12,
1,24750,465,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,466,12,1,24785,
467,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
468,12,1,24828,469,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
470,12,1,24861,471,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,472,12,
1,24896,473,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,474,11,1,
431,0,475,4,42,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
83,0,84,0,65,
0,82,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,476,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
477,11,1,829,0,
330,1,-1,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,478,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
479,11,1,829,0,
330,1,-1,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,480,12,
1,25363,481,5,63,
3,109,0,327,3,
110,0,482,12,1,
25392,483,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,484,12,
1,25438,485,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,486,11,1,
414,0,487,4,38,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
69,0,78,0,68,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,488,11,1,
829,0,330,1,-1,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,489,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
490,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,491,11,1,401,
0,492,4,30,67,
0,79,0,76,0,
76,0,73,0,83,
0,73,0,79,0,
78,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
493,11,1,829,0,
330,1,-1,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,494,11,
1,829,0,330,1,
-1,3,106,0,327,
3,107,0,327,3,
108,0,327,495,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
496,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
497,11,1,829,0,
330,1,-1,498,11,
1,829,0,330,1,
-1,499,11,1,829,
0,330,1,-1,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,500,12,1,
26387,501,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,502,12,1,26430,
503,5,63,3,109,
0,327,3,110,0,
504,12,1,26459,505,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,506,12,
1,26508,507,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,508,12,
1,26555,509,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,510,
12,1,26601,511,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,512,11,
1,390,0,513,4,
26,67,0,72,0,
65,0,78,0,71,
0,69,0,68,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,514,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,515,11,1,
829,0,330,1,-1,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
516,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,517,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,518,
11,1,829,0,330,
1,-1,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,519,11,
1,829,0,330,1,
-1,3,100,0,520,
12,1,27178,521,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,522,12,1,
27208,523,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,524,11,1,223,
0,525,4,4,68,
0,79,0,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
526,12,1,27341,527,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,528,12,
1,27376,529,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,530,12,1,
27419,531,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,532,12,1,27453,
533,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,534,12,1,27500,
535,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,536,12,1,27533,
537,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,538,12,1,
27570,539,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,540,12,1,
27617,541,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,542,12,1,
27650,543,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,544,11,1,461,
0,545,4,32,68,
0,65,0,84,0,
65,0,83,0,69,
0,82,0,86,0,
69,0,82,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,-1,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,546,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,547,11,1,
829,0,330,1,-1,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,548,11,1,
829,0,330,1,-1,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,549,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,550,
11,1,829,0,330,
1,-1,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,551,11,1,829,
0,330,1,-1,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,552,11,
1,829,0,330,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,553,11,1,829,
0,330,1,-1,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,554,
12,1,28425,555,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,556,12,
1,28473,557,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,558,12,1,
28516,559,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,560,
12,1,28552,561,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,562,12,1,
28606,563,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
564,12,1,28641,565,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,566,
11,1,245,0,567,
4,26,68,0,69,
0,70,0,65,0,
85,0,76,0,84,
0,95,0,83,0,
84,0,65,0,84,
0,69,0,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
568,11,1,829,0,
330,1,-1,569,11,
1,829,0,330,1,
-1,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,570,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,571,
11,1,829,0,330,
1,-1,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,572,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,573,11,1,
829,0,330,1,-1,
3,101,0,574,12,
1,29219,575,5,65,
3,109,0,576,12,
1,29247,577,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,578,12,1,
29290,579,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,580,12,
1,29341,581,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,582,12,1,29395,
583,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
584,11,1,475,0,
585,4,22,69,0,
77,0,65,0,73,
0,76,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,586,11,1,
829,0,330,1,-1,
3,106,0,327,3,
107,0,327,3,108,
0,327,587,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,588,
11,1,829,0,330,
1,-1,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
43,0,237,3,45,
0,237,3,48,0,
334,3,49,0,334,
3,50,0,334,3,
51,0,334,3,52,
0,334,3,53,0,
334,3,54,0,334,
3,55,0,334,3,
56,0,334,3,57,
0,334,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,589,12,1,
29753,590,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,591,12,1,29787,
592,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,593,12,1,29834,
594,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
595,11,1,215,0,
596,4,8,69,0,
76,0,83,0,69,
0,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,597,11,1,829,
0,330,1,-1,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,598,11,
1,829,0,330,1,
-1,599,11,1,829,
0,330,1,-1,3,
102,0,600,12,1,
30180,601,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
602,12,1,30210,603,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
604,12,1,30243,605,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,606,
11,1,238,0,607,
4,6,70,0,79,
0,82,0,1,-1,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,608,11,
1,829,0,330,1,
-1,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
609,12,1,30474,610,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,611,12,
1,30504,612,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,613,12,1,
30547,614,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
615,12,1,30582,616,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,617,
11,1,294,0,618,
4,20,70,0,76,
0,79,0,65,0,
84,0,95,0,84,
0,89,0,80,0,
69,0,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,619,
11,1,829,0,330,
1,-1,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,620,11,1,829,
0,330,1,-1,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,621,
11,1,829,0,330,
1,-1,622,11,1,
829,0,330,1,-1,
3,103,0,325,3,
104,0,623,12,1,
31022,624,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
625,12,1,31057,626,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,627,12,
1,31092,628,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
629,12,1,31123,630,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
631,12,1,31209,632,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
633,12,1,31242,634,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
635,12,1,31289,636,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,637,
12,1,31323,638,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,639,12,1,31354,
640,5,63,3,109,
0,327,3,110,0,
327,3,111,0,641,
12,1,31384,642,5,
63,3,109,0,327,
3,110,0,643,12,
1,31413,644,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,645,12,1,
31447,646,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,647,12,1,
31494,648,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,649,11,1,484,
0,650,4,38,72,
0,84,0,84,0,
80,0,95,0,82,
0,69,0,83,0,
80,0,79,0,78,
0,83,0,69,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,651,11,1,
829,0,330,1,-1,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,652,
11,1,829,0,330,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,653,11,1,829,
0,330,1,-1,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,654,
11,1,829,0,330,
1,-1,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,655,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
656,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,657,11,1,829,
0,330,1,-1,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,658,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,659,11,
1,829,0,330,1,
-1,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,660,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
661,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,662,11,
1,829,0,330,1,
-1,3,105,0,663,
12,1,32583,664,5,
63,3,109,0,327,
3,110,0,665,12,
1,32612,666,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,667,12,1,32647,
668,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,669,12,1,32694,
670,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,671,
12,1,32743,672,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,673,
12,1,32790,674,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,675,
12,1,32823,676,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,677,11,
1,283,0,678,4,
24,73,0,78,0,
84,0,69,0,71,
0,69,0,82,0,
95,0,84,0,89,
0,80,0,69,0,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
679,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,680,11,1,829,
0,330,1,-1,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,681,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
682,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,683,11,
1,829,0,330,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
684,12,1,33351,685,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,686,
11,1,209,0,687,
4,4,73,0,70,
0,1,-1,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,688,11,1,
829,0,330,1,-1,
3,106,0,689,12,
1,33544,690,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
691,12,1,33580,692,
5,63,3,109,0,
693,12,1,33608,694,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,695,12,1,
33639,696,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,697,11,1,265,
0,698,4,8,74,
0,85,0,77,0,
80,0,1,-1,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
699,11,1,829,0,
330,1,-1,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,700,11,1,829,
0,330,1,-1,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
701,11,1,829,0,
330,1,-1,3,107,
0,702,12,1,34025,
703,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,704,12,1,34072,
705,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,706,
12,1,34112,707,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,708,11,
1,313,0,709,4,
16,75,0,69,0,
89,0,95,0,84,
0,89,0,80,0,
69,0,1,-1,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,710,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
711,11,1,829,0,
330,1,-1,3,108,
0,712,12,1,34386,
713,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
714,12,1,34429,715,
5,63,3,109,0,
327,3,110,0,716,
12,1,34458,717,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
718,12,1,34504,719,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
720,12,1,34590,721,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,722,12,1,
34635,723,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
724,12,1,34665,725,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,726,12,
1,34719,727,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,728,12,1,34773,
729,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,730,12,1,
34824,731,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,732,12,1,34858,
733,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,734,12,1,
34909,735,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
736,12,1,34939,737,
5,63,3,109,0,
327,3,110,0,738,
12,1,34968,739,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,740,
12,1,35054,741,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,742,12,
1,35088,743,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,744,12,1,35123,
745,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
746,12,1,35166,747,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
748,12,1,35199,749,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,750,12,
1,35234,751,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,752,11,1,
541,0,753,4,52,
76,0,65,0,78,
0,68,0,95,0,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
83,0,84,0,65,
0,82,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,754,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
755,11,1,829,0,
330,1,-1,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,756,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
757,11,1,829,0,
330,1,-1,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,758,12,
1,35701,759,5,63,
3,109,0,327,3,
110,0,760,12,1,
35730,761,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,762,12,
1,35776,763,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,764,11,1,
519,0,765,4,48,
76,0,65,0,78,
0,68,0,95,0,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
69,0,78,0,68,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,766,11,1,
829,0,330,1,-1,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,767,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
768,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,769,11,1,501,
0,770,4,40,76,
0,65,0,78,0,
68,0,95,0,67,
0,79,0,76,0,
76,0,73,0,83,
0,73,0,79,0,
78,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
771,11,1,829,0,
330,1,-1,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,772,11,
1,829,0,330,1,
-1,3,106,0,327,
3,107,0,327,3,
108,0,327,773,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
774,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
775,11,1,829,0,
330,1,-1,776,11,
1,829,0,330,1,
-1,777,11,1,829,
0,330,1,-1,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,778,
11,1,829,0,330,
1,-1,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,779,11,
1,829,0,330,1,
-1,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,780,
11,1,829,0,330,
1,-1,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,781,
11,1,829,0,330,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,782,11,1,829,
0,330,1,-1,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
783,12,1,37077,784,
5,63,3,109,0,
327,3,110,0,785,
12,1,37106,786,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,787,12,
1,37159,788,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,789,12,
1,37245,790,5,63,
3,109,0,791,12,
1,37273,792,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,793,12,
1,37320,794,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,795,12,1,
37354,796,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,797,12,1,37388,
798,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
799,12,1,37431,800,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,801,12,
1,37480,802,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,803,12,
1,37527,804,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,805,11,1,
565,0,806,4,36,
76,0,73,0,78,
0,75,0,95,0,
77,0,69,0,83,
0,83,0,65,0,
71,0,69,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,807,11,1,829,
0,330,1,-1,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,808,
11,1,829,0,330,
1,-1,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,809,11,1,829,
0,330,1,-1,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,810,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
811,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,812,11,1,829,
0,330,1,-1,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,813,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,814,11,
1,829,0,330,1,
-1,3,108,0,327,
815,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,816,12,1,
38311,817,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
818,12,1,38346,819,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
820,12,1,38393,821,
5,63,3,109,0,
327,3,110,0,822,
12,1,38422,823,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,824,11,
1,581,0,825,4,
24,76,0,73,0,
83,0,84,0,69,
0,78,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,826,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,827,11,1,
342,0,828,4,18,
76,0,73,0,83,
0,84,0,95,0,
84,0,89,0,80,
0,69,0,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
829,11,1,829,0,
330,1,-1,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,830,11,1,
829,0,330,1,-1,
3,106,0,327,3,
107,0,327,3,108,
0,327,831,11,1,
829,0,330,1,-1,
3,109,0,832,12,
1,2200,833,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,834,12,1,2230,
835,5,63,3,109,
0,327,3,110,0,
836,12,1,2259,837,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
838,12,1,2306,839,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,840,12,
1,2346,841,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,842,11,1,
591,0,843,4,22,
77,0,79,0,78,
0,69,0,89,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,844,
11,1,829,0,330,
1,-1,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
845,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,846,
12,1,2627,847,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
848,12,1,2678,849,
5,63,3,109,0,
327,3,110,0,850,
12,1,2707,851,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,852,12,1,
2756,853,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,854,12,1,
2842,855,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,856,12,1,2876,
857,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,858,
12,1,2911,859,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,860,12,
1,2954,861,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,862,12,
1,2987,863,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,864,12,1,3022,
865,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
866,11,1,614,0,
867,4,36,77,0,
79,0,86,0,73,
0,78,0,71,0,
95,0,83,0,84,
0,65,0,82,0,
84,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,868,11,1,829,
0,330,1,-1,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,869,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,870,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,871,11,1,
829,0,330,1,-1,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
872,12,1,3489,873,
5,63,3,109,0,
327,3,110,0,874,
12,1,3518,875,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
876,12,1,3564,877,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,878,
11,1,600,0,879,
4,32,77,0,79,
0,86,0,73,0,
78,0,71,0,95,
0,69,0,78,0,
68,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,880,11,
1,829,0,330,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
881,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,882,11,1,829,
0,330,1,-1,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,883,11,1,
829,0,330,1,-1,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
884,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,885,11,1,
829,0,330,1,-1,
3,106,0,327,3,
107,0,327,3,108,
0,327,886,11,1,
829,0,330,1,-1,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,887,11,1,
829,0,330,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
888,11,1,829,0,
330,1,-1,3,110,
0,889,12,1,4361,
890,5,63,3,109,
0,327,3,110,0,
327,3,111,0,891,
12,1,4391,892,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,893,12,1,
4426,894,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,895,12,1,
4512,896,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,897,12,1,4555,
898,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,899,
12,1,4590,900,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,901,
12,1,4676,902,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,903,
12,1,4709,904,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,905,12,1,
4739,906,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
907,12,1,4774,908,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
909,12,1,4860,910,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,911,12,
1,4895,912,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,913,12,1,
4938,914,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,915,12,1,
4971,916,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
917,12,1,5020,918,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
919,12,1,5067,920,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,921,12,
1,5102,922,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,923,11,1,
643,0,924,4,46,
78,0,79,0,84,
0,95,0,65,0,
84,0,95,0,82,
0,79,0,84,0,
95,0,84,0,65,
0,82,0,71,0,
69,0,84,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,925,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,926,
11,1,829,0,330,
1,-1,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,927,11,1,
829,0,330,1,-1,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,928,11,
1,829,0,330,1,
-1,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
929,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,930,11,
1,829,0,330,1,
-1,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,931,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,932,11,1,
829,0,330,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
933,11,1,829,0,
330,1,-1,3,115,
0,327,3,116,0,
934,12,1,5911,935,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,936,
12,1,5954,937,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,938,
12,1,5987,939,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,940,12,1,
6036,941,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,942,12,1,
6083,943,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
944,12,1,6118,945,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,946,
11,1,664,0,947,
4,38,78,0,79,
0,84,0,95,0,
65,0,84,0,95,
0,84,0,65,0,
82,0,71,0,69,
0,84,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,948,11,1,
829,0,330,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,949,11,
1,829,0,330,1,
-1,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,950,11,1,829,
0,330,1,-1,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,951,11,1,
829,0,330,1,-1,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,952,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,953,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,954,11,
1,829,0,330,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,955,11,1,829,
0,330,1,-1,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,956,11,
1,829,0,330,1,
-1,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,957,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,958,12,
1,6997,959,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,960,12,1,
7031,961,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,962,12,1,
7078,963,5,63,3,
109,0,327,3,110,
0,964,12,1,7107,
965,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
966,12,1,7141,967,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,968,12,
1,7171,969,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,970,12,
1,7204,971,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,972,11,1,
630,0,973,4,30,
78,0,79,0,95,
0,83,0,69,0,
78,0,83,0,79,
0,82,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
974,11,1,829,0,
330,1,-1,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,975,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
976,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,977,11,1,
829,0,330,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,978,11,
1,829,0,330,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
979,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,980,11,1,829,
0,330,1,-1,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,981,
11,1,829,0,330,
1,-1,3,111,0,
982,12,1,7962,983,
5,63,3,109,0,
327,3,110,0,984,
12,1,7991,985,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,986,
12,1,8077,987,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,988,
12,1,8110,989,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,990,
12,1,8157,991,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,992,12,1,8198,
993,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
994,11,1,695,0,
995,4,24,79,0,
78,0,95,0,82,
0,69,0,90,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
996,11,1,829,0,
330,1,-1,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,997,11,1,829,
0,330,1,-1,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,998,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,999,11,
1,829,0,330,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,1000,
12,1,8606,1001,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,1002,
12,1,8658,1003,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,1004,
12,1,8705,1005,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,1006,12,1,8750,
1007,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,1008,
12,1,8785,1009,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,1010,
12,1,8871,1011,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,1012,
12,1,8904,1013,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,1014,
12,1,8951,1015,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,1016,12,1,8992,
1017,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1018,11,1,681,0,
1019,4,32,79,0,
66,0,74,0,69,
0,67,0,84,0,
95,0,82,0,69,
0,90,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1020,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1021,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1022,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1023,11,1,829,
0,330,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1024,
11,1,829,0,330,
1,-1,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1025,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1026,
11,1,829,0,330,
1,-1,3,107,0,
327,3,108,0,327,
1027,11,1,829,0,
330,1,-1,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1028,11,
1,829,0,330,1,
-1,3,112,0,325,
3,113,0,325,3,
114,0,1029,12,1,
9765,1030,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
1031,12,1,9795,1032,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,1033,12,
1,9830,1034,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,1035,12,1,
9873,1036,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
1037,12,1,9908,1038,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,1039,12,1,9959,
1040,5,63,3,109,
0,327,3,110,0,
327,3,111,0,1041,
12,1,9989,1042,5,
63,3,109,0,327,
3,110,0,1043,12,
1,10018,1044,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1045,11,1,
330,0,1046,4,26,
82,0,79,0,84,
0,65,0,84,0,
73,0,79,0,78,
0,95,0,84,0,
89,0,80,0,69,
0,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1047,11,1,
829,0,330,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1048,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
1049,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1050,11,
1,829,0,330,1,
-1,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1051,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1052,11,
1,829,0,330,1,
-1,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,1053,
12,1,10641,1054,5,
63,3,109,0,327,
3,110,0,1055,12,
1,10670,1056,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,1057,12,
1,10756,1058,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,1059,12,1,10791,
1060,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,1061,12,1,
10842,1062,5,63,3,
109,0,1063,12,1,
10870,1064,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,1065,12,1,
10917,1066,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,1067,12,1,
11003,1068,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,1069,
12,1,11034,1070,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,1071,
12,1,11081,1072,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,1073,
12,1,11114,1074,5,
63,3,109,0,1075,
12,1,11142,1076,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
1077,12,1,11193,1078,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,1079,
12,1,11227,1080,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,1081,12,
1,11261,1082,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,1083,
12,1,11312,1084,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,1085,12,1,
11342,1086,5,63,3,
109,0,327,3,110,
0,1087,12,1,11371,
1088,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
1089,12,1,11405,1090,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1091,
11,1,720,0,1092,
4,52,82,0,85,
0,78,0,95,0,
84,0,73,0,77,
0,69,0,95,0,
80,0,69,0,82,
0,77,0,73,0,
83,0,83,0,73,
0,79,0,78,0,
83,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1093,11,1,829,0,
330,1,-1,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1094,11,1,
829,0,330,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1095,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
1096,11,1,829,0,
330,1,-1,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1097,11,1,
829,0,330,1,-1,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1098,
11,1,829,0,330,
1,-1,3,106,0,
327,3,107,0,327,
3,108,0,327,1099,
11,1,829,0,330,
1,-1,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1100,11,1,829,0,
330,1,-1,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1101,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1102,11,1,
829,0,330,1,-1,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1103,11,1,829,
0,330,1,-1,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1104,11,1,
829,0,330,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1105,11,
1,829,0,330,1,
-1,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1106,
11,1,829,0,330,
1,-1,3,106,0,
327,3,107,0,327,
3,108,0,327,1107,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1108,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1109,11,
1,829,0,330,1,
-1,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1110,11,1,829,0,
330,1,-1,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
1111,12,1,12932,1112,
5,63,3,109,0,
1113,12,1,12960,1114,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,1115,12,
1,12990,1116,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,1117,12,1,13025,
1118,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,1119,12,1,13072,
1120,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,1121,12,1,13158,
1122,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,1123,12,1,
13204,1124,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,1125,12,1,13247,
1126,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,1127,
12,1,13282,1128,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,1129,12,
1,13325,1130,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1131,11,1,
705,0,1132,4,34,
82,0,69,0,77,
0,79,0,84,0,
69,0,95,0,68,
0,65,0,84,0,
65,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1133,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1134,11,
1,829,0,330,1,
-1,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1135,11,1,829,0,
330,1,-1,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1136,11,1,829,0,
330,1,-1,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1137,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1138,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1139,11,1,829,0,
330,1,-1,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1140,11,
1,829,0,330,1,
-1,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,1141,12,
1,14047,1142,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
1143,12,1,14083,1144,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
1145,12,1,14116,1146,
5,63,3,109,0,
327,3,110,0,1147,
12,1,14145,1148,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1149,11,
1,273,0,1150,4,
12,82,0,69,0,
84,0,85,0,82,
0,78,0,1,-1,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1151,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1152,11,1,829,0,
330,1,-1,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1153,
11,1,829,0,330,
1,-1,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1154,11,1,
829,0,330,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1155,11,
1,829,0,330,1,
-1,3,115,0,1156,
12,1,14686,1157,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,1158,12,1,
14721,1159,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,1160,12,1,
14754,1161,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,1162,12,
1,14805,1163,5,63,
3,109,0,327,3,
110,0,1164,12,1,
14834,1165,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
1166,12,1,14883,1167,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1168,
11,1,303,0,1169,
4,22,83,0,84,
0,82,0,73,0,
78,0,71,0,95,
0,84,0,89,0,
80,0,69,0,1,
-1,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1170,11,1,829,
0,330,1,-1,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1171,11,
1,829,0,330,1,
-1,3,106,0,327,
3,107,0,327,3,
108,0,327,1172,11,
1,829,0,330,1,
-1,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,1173,
12,1,15244,1174,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,1175,12,1,
15279,1176,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,1177,12,1,
15326,1178,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,1179,12,1,
15412,1180,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,1181,12,1,
15459,1182,5,63,3,
109,0,327,3,110,
0,1183,12,1,15488,
1184,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,1185,
12,1,15523,1186,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,1187,
12,1,15556,1188,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,1189,12,1,
15596,1190,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1191,11,1,754,
0,1192,4,34,83,
0,84,0,65,0,
84,0,69,0,95,
0,69,0,78,0,
84,0,82,0,89,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1193,11,1,829,0,
330,1,-1,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1194,11,1,829,
0,330,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1195,
11,1,829,0,330,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,1196,12,1,15978,
1197,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,1198,12,1,
16029,1199,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
1200,12,1,16064,1201,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1202,
11,1,769,0,1203,
4,32,83,0,84,
0,65,0,84,0,
69,0,95,0,69,
0,88,0,73,0,
84,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1204,11,1,829,
0,330,1,-1,3,
106,0,327,3,107,
0,327,3,108,0,
327,1205,11,1,829,
0,330,1,-1,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1206,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1207,
11,1,829,0,330,
1,-1,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1208,11,1,256,0,
1209,4,10,83,0,
84,0,65,0,84,
0,69,0,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1210,11,
1,829,0,330,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1211,11,1,829,
0,330,1,-1,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1212,11,
1,829,0,330,1,
-1,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,1213,12,1,
16773,1214,5,63,3,
109,0,327,3,110,
0,1215,12,1,16802,
1216,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
1217,12,1,16836,1218,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,1219,12,
1,16866,1220,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,1221,12,
1,16899,1222,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1223,11,1,
744,0,1224,4,24,
83,0,69,0,78,
0,83,0,79,0,
82,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
-1,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1225,
11,1,829,0,330,
1,-1,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1226,11,1,
829,0,330,1,-1,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1227,
11,1,829,0,330,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1228,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1229,11,1,
829,0,330,1,-1,
3,116,0,1230,12,
1,17447,1231,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,1232,12,1,17477,
1233,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,1234,12,
1,17513,1235,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
1236,12,1,17558,1237,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,1238,12,1,
17608,1239,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,1240,12,1,
17694,1241,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,1242,12,1,17728,
1243,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,1244,
12,1,17763,1245,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,1246,12,
1,17806,1247,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,1248,12,
1,17839,1249,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,1250,12,1,17874,
1251,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1252,11,1,801,0,
1253,4,34,84,0,
79,0,85,0,67,
0,72,0,95,0,
83,0,84,0,65,
0,82,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,-1,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1254,
11,1,829,0,330,
1,-1,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1255,11,1,829,0,
330,1,-1,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1256,11,1,
829,0,330,1,-1,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1257,11,1,829,0,
330,1,-1,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,1258,12,
1,18341,1259,5,63,
3,109,0,327,3,
110,0,1260,12,1,
18370,1261,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,1262,12,
1,18416,1263,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1264,11,1,
816,0,1265,4,30,
84,0,79,0,85,
0,67,0,72,0,
95,0,69,0,78,
0,68,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,-1,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1266,
11,1,829,0,330,
1,-1,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1267,11,1,829,
0,330,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1268,11,1,
829,0,330,1,-1,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1269,11,
1,792,0,1270,4,
22,84,0,79,0,
85,0,67,0,72,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
327,1271,11,1,829,
0,330,1,-1,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1272,11,1,829,0,
330,1,-1,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1273,
11,1,829,0,330,
1,-1,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,1274,
12,1,19058,1275,5,
63,3,109,0,1276,
12,1,19086,1277,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,1278,
12,1,19133,1279,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,1280,
12,1,19166,1281,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1282,11,
1,783,0,1283,4,
22,84,0,73,0,
77,0,69,0,82,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,-1,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1284,11,
1,829,0,330,1,
-1,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1285,
11,1,829,0,330,
1,-1,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1286,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
1287,11,1,829,0,
330,1,-1,3,117,
0,325,3,118,0,
1288,12,1,19609,1289,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
1290,12,1,19656,1291,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,1292,12,1,
19701,1293,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
1294,12,1,19736,1295,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,1296,12,
1,19766,1297,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,1298,12,
1,19799,1299,5,63,
3,109,0,327,3,
110,0,327,3,111,
0,327,3,112,0,
327,3,113,0,327,
3,114,0,327,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1300,11,1,
320,0,1301,4,22,
86,0,69,0,67,
0,84,0,79,0,
82,0,95,0,84,
0,89,0,80,0,
69,0,1,-1,3,
115,0,327,3,116,
0,327,3,117,0,
327,3,118,0,327,
3,119,0,327,3,
120,0,327,3,121,
0,327,3,122,0,
327,3,48,0,327,
3,49,0,327,3,
50,0,327,3,51,
0,327,3,52,0,
327,3,53,0,327,
3,54,0,327,3,
55,0,327,3,56,
0,327,3,57,0,
327,3,65,0,327,
3,66,0,327,3,
67,0,327,3,68,
0,327,3,69,0,
327,3,70,0,327,
3,71,0,327,3,
72,0,327,3,73,
0,327,3,74,0,
327,3,75,0,327,
3,76,0,327,3,
77,0,327,3,78,
0,327,3,79,0,
327,3,80,0,327,
3,81,0,327,3,
82,0,327,3,83,
0,327,3,84,0,
327,3,85,0,327,
3,86,0,327,3,
87,0,327,3,88,
0,327,3,89,0,
327,3,90,0,327,
3,95,0,327,3,
97,0,327,3,98,
0,327,3,99,0,
327,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1302,11,1,
829,0,330,1,-1,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,327,3,106,
0,327,3,107,0,
327,3,108,0,327,
1303,11,1,829,0,
330,1,-1,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1304,11,
1,829,0,330,1,
-1,3,100,0,327,
3,101,0,327,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1305,11,1,
829,0,330,1,-1,
3,102,0,327,3,
103,0,327,3,104,
0,327,3,105,0,
327,3,106,0,327,
3,107,0,327,3,
108,0,327,1306,11,
1,829,0,330,1,
-1,3,119,0,1307,
12,1,20330,1308,5,
63,3,109,0,327,
3,110,0,327,3,
111,0,327,3,112,
0,327,3,113,0,
327,3,114,0,327,
3,115,0,327,3,
116,0,327,3,117,
0,327,3,118,0,
327,3,119,0,327,
3,120,0,327,3,
121,0,327,3,122,
0,327,3,48,0,
327,3,49,0,327,
3,50,0,327,3,
51,0,327,3,52,
0,327,3,53,0,
327,3,54,0,327,
3,55,0,327,3,
56,0,327,3,57,
0,327,3,65,0,
327,3,66,0,327,
3,67,0,327,3,
68,0,327,3,69,
0,327,3,70,0,
327,3,71,0,327,
3,72,0,327,3,
73,0,327,3,74,
0,327,3,75,0,
327,3,76,0,327,
3,77,0,327,3,
78,0,327,3,79,
0,327,3,80,0,
327,3,81,0,327,
3,82,0,327,3,
83,0,327,3,84,
0,327,3,85,0,
327,3,86,0,327,
3,87,0,327,3,
88,0,327,3,89,
0,327,3,90,0,
327,3,95,0,327,
3,97,0,327,3,
98,0,327,3,99,
0,327,3,100,0,
327,3,101,0,327,
3,102,0,327,3,
103,0,327,3,104,
0,1309,12,1,20380,
1310,5,63,3,109,
0,327,3,110,0,
327,3,111,0,327,
3,112,0,327,3,
113,0,327,3,114,
0,327,3,115,0,
327,3,116,0,327,
3,117,0,327,3,
118,0,327,3,119,
0,327,3,120,0,
327,3,121,0,327,
3,122,0,327,3,
48,0,327,3,49,
0,327,3,50,0,
327,3,51,0,327,
3,52,0,327,3,
53,0,327,3,54,
0,327,3,55,0,
327,3,56,0,327,
3,57,0,327,3,
65,0,327,3,66,
0,327,3,67,0,
327,3,68,0,327,
3,69,0,327,3,
70,0,327,3,71,
0,327,3,72,0,
327,3,73,0,327,
3,74,0,327,3,
75,0,327,3,76,
0,327,3,77,0,
327,3,78,0,327,
3,79,0,327,3,
80,0,327,3,81,
0,327,3,82,0,
327,3,83,0,327,
3,84,0,327,3,
85,0,327,3,86,
0,327,3,87,0,
327,3,88,0,327,
3,89,0,327,3,
90,0,327,3,95,
0,327,3,97,0,
327,3,98,0,327,
3,99,0,327,3,
100,0,327,3,101,
0,327,3,102,0,
327,3,103,0,327,
3,104,0,327,3,
105,0,1311,12,1,
20431,1312,5,63,3,
109,0,327,3,110,
0,327,3,111,0,
327,3,112,0,327,
3,113,0,327,3,
114,0,327,3,115,
0,327,3,116,0,
327,3,117,0,327,
3,118,0,327,3,
119,0,327,3,120,
0,327,3,121,0,
327,3,122,0,327,
3,48,0,327,3,
49,0,327,3,50,
0,327,3,51,0,
327,3,52,0,327,
3,53,0,327,3,
54,0,327,3,55,
0,327,3,56,0,
327,3,57,0,327,
3,65,0,327,3,
66,0,327,3,67,
0,327,3,68,0,
327,3,69,0,327,
3,70,0,327,3,
71,0,327,3,72,
0,327,3,73,0,
327,3,74,0,327,
3,75,0,327,3,
76,0,327,3,77,
0,327,3,78,0,
327,3,79,0,327,
3,80,0,327,3,
81,0,327,3,82,
0,327,3,83,0,
327,3,84,0,327,
3,85,0,327,3,
86,0,327,3,87,
0,327,3,88,0,
327,3,89,0,327,
3,90,0,327,3,
95,0,327,3,97,
0,327,3,98,0,
327,3,99,0,327,
3,100,0,327,3,
101,0,327,3,102,
0,327,3,103,0,
327,3,104,0,327,
3,105,0,327,3,
106,0,327,3,107,
0,327,3,108,0,
1313,12,1,20485,1314,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
1315,12,1,20532,1316,
5,63,3,109,0,
327,3,110,0,327,
3,111,0,327,3,
112,0,327,3,113,
0,327,3,114,0,
327,3,115,0,327,
3,116,0,327,3,
117,0,327,3,118,
0,327,3,119,0,
327,3,120,0,327,
3,121,0,327,3,
122,0,327,3,48,
0,327,3,49,0,
327,3,50,0,327,
3,51,0,327,3,
52,0,327,3,53,
0,327,3,54,0,
327,3,55,0,327,
3,56,0,327,3,
57,0,327,3,65,
0,327,3,66,0,
327,3,67,0,327,
3,68,0,327,3,
69,0,327,3,70,
0,327,3,71,0,
327,3,72,0,327,
3,73,0,327,3,
74,0,327,3,75,
0,327,3,76,0,
327,3,77,0,327,
3,78,0,327,3,
79,0,327,3,80,
0,327,3,81,0,
327,3,82,0,327,
3,83,0,327,3,
84,0,327,3,85,
0,327,3,86,0,
327,3,87,0,327,
3,88,0,327,3,
89,0,327,3,90,
0,327,3,95,0,
327,3,97,0,327,
3,98,0,327,3,
99,0,327,3,100,
0,327,3,101,0,
327,3,102,0,327,
3,103,0,327,3,
104,0,327,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1317,
11,1,229,0,1318,
4,10,87,0,72,
0,73,0,76,0,
69,0,1,-1,3,
102,0,327,3,103,
0,327,3,104,0,
327,3,105,0,327,
3,106,0,327,3,
107,0,327,3,108,
0,327,1319,11,1,
829,0,330,1,-1,
1320,11,1,829,0,
330,1,-1,3,106,
0,327,3,107,0,
327,3,108,0,327,
1321,11,1,829,0,
330,1,-1,3,105,
0,327,3,106,0,
327,3,107,0,327,
3,108,0,327,1322,
11,1,829,0,330,
1,-1,3,120,0,
325,3,121,0,325,
3,122,0,325,3,
123,0,1323,12,1,
40301,1324,5,0,1325,
11,1,51,0,1326,
4,20,76,0,69,
0,70,0,84,0,
95,0,66,0,82,
0,65,0,67,0,
69,0,1,-1,3,
124,0,1327,12,1,
43084,1328,5,1,3,
124,0,1329,12,1,
43196,1330,5,0,1331,
11,1,191,0,1332,
4,26,83,0,84,
0,82,0,79,0,
75,0,69,0,95,
0,83,0,84,0,
82,0,79,0,75,
0,69,0,1,-1,
1333,11,1,165,0,
1334,4,12,83,0,
84,0,82,0,79,
0,75,0,69,0,
1,-1,3,125,0,
1335,12,1,40666,1336,
5,0,1337,11,1,
56,0,1338,4,22,
82,0,73,0,71,
0,72,0,84,0,
95,0,66,0,82,
0,65,0,67,0,
69,0,1,-1,3,
126,0,1339,12,1,
43325,1340,5,0,1341,
11,1,175,0,1342,
4,10,84,0,73,
0,76,0,68,0,
69,0,1,-1,1343,
11,1,882,0,244,
1,-1,1344,4,12,
83,0,84,0,82,
0,73,0,78,0,
71,0,1345,12,1,
44893,1346,5,119,3,
1,0,1347,12,1,
44894,1348,5,0,1349,
11,1,956,0,165,
1,-1,3,9,0,
1347,3,10,0,1350,
12,1,45095,1351,5,
0,1352,11,1,962,
0,165,1,-1,3,
13,0,1347,3,0,
3,1347,3,96,33,
1347,3,32,0,1347,
3,33,0,1347,3,
34,0,1353,12,1,
46442,1354,5,0,1355,
11,1,1064,0,165,
1,-1,3,35,0,
1347,3,36,0,1347,
3,37,0,1347,3,
38,0,1347,3,40,
0,1347,3,41,0,
1347,3,42,0,1347,
3,43,0,1347,3,
44,0,1347,3,45,
0,1347,3,46,0,
1347,3,47,0,1347,
3,3,9,1347,3,
49,0,1347,3,50,
0,1347,3,48,0,
1347,3,52,0,1347,
3,53,0,1347,3,
51,0,1347,3,55,
0,1347,3,56,0,
1347,3,54,0,1347,
3,59,0,1347,3,
57,0,1347,3,61,
0,1347,3,62,0,
1347,3,60,0,1347,
3,64,0,1347,3,
65,0,1347,3,66,
0,1347,3,67,0,
1347,3,68,0,1347,
3,69,0,1347,3,
70,0,1347,3,71,
0,1347,3,72,0,
1347,3,73,0,1347,
3,74,0,1347,3,
75,0,1347,3,76,
0,1347,3,77,0,
1347,3,78,0,1347,
3,79,0,1347,3,
80,0,1347,3,81,
0,1347,3,82,0,
1347,3,83,0,1347,
3,84,0,1347,3,
85,0,1347,3,86,
0,1347,3,87,0,
1347,3,88,0,1347,
3,89,0,1347,3,
90,0,1347,3,91,
0,1347,3,92,0,
1356,12,1,45238,1357,
5,8,3,110,0,
1358,12,1,45267,1359,
5,0,1360,11,1,
967,0,165,1,-1,
3,10,0,1361,12,
1,45796,1362,5,5,
3,10,0,1361,3,
13,0,1363,12,1,
45633,1364,5,5,3,
10,0,1361,3,13,
0,1363,3,92,0,
1365,12,1,45901,1366,
5,0,1367,11,1,
1020,0,165,1,-1,
3,9,0,1368,12,
1,45714,1369,5,5,
3,10,0,1361,3,
13,0,1363,3,92,
0,1365,3,9,0,
1368,3,32,0,1370,
12,1,45553,1371,5,
5,3,10,0,1361,
3,13,0,1363,3,
92,0,1365,3,9,
0,1368,3,32,0,
1370,0,165,1,-1,
0,165,1,-1,3,
32,0,1370,0,165,
1,-1,3,92,0,
1365,3,9,0,1368,
3,32,0,1370,0,
165,1,-1,3,13,
0,1363,3,92,0,
1372,12,1,46183,1373,
5,0,1374,11,1,
1003,0,165,1,-1,
3,116,0,1375,12,
1,45393,1376,5,0,
1377,11,1,979,0,
165,1,-1,3,34,
0,1378,12,1,46307,
1379,5,0,1380,11,
1,991,0,165,1,
-1,3,9,0,1368,
3,32,0,1370,1381,
11,1,1015,0,165,
1,-1,3,93,0,
1347,3,94,0,1347,
3,95,0,1347,3,
96,0,1347,3,97,
0,1347,3,98,0,
1347,3,99,0,1347,
3,100,0,1347,3,
101,0,1347,3,102,
0,1347,3,103,0,
1347,3,104,0,1347,
3,105,0,1347,3,
106,0,1347,3,107,
0,1347,3,108,0,
1347,3,109,0,1347,
3,110,0,1347,3,
111,0,1347,3,112,
0,1347,3,113,0,
1347,3,114,0,1347,
3,115,0,1347,3,
116,0,1347,3,117,
0,1347,3,118,0,
1347,3,119,0,1347,
3,120,0,1347,3,
121,0,1347,3,122,
0,1347,3,123,0,
1347,3,124,0,1347,
3,125,0,1347,3,
96,6,1347,3,126,
0,1347,3,58,15,
1347,3,59,15,1347,
3,136,4,1347,3,
160,0,1347,3,15,
7,1347,3,170,0,
1347,3,171,0,1347,
3,172,0,1347,3,
173,0,1347,3,178,
0,1347,3,176,2,
1347,3,187,0,1347,
3,187,1,1347,3,
192,0,1347,3,41,
32,1347,3,197,1,
1347,3,0,224,1347,
3,40,32,1347,3,
63,32,1347,0,165,
1,-1,1382,5,92,
266,1383,10,266,1,
19,567,1384,10,567,
1,47,259,1385,10,
259,1,92,1150,1386,
10,1150,1,50,1019,
1387,10,1019,1,80,
1169,1388,10,1169,1,
53,173,1389,10,173,
1,37,596,1390,10,
596,1,43,678,1391,
10,678,1,51,607,
1392,10,607,1,46,
196,1393,10,196,1,
16,200,1394,10,200,
1,17,650,1395,10,
650,1,68,879,1396,
10,879,1,75,355,
1397,10,355,1,35,
208,1398,10,208,1,
20,214,1399,10,214,
1,6,184,1400,10,
184,1,22,284,1401,
10,284,1,21,244,
1402,10,244,1,94,
1270,1403,10,1270,1,
88,475,1404,10,475,
1,64,698,1405,10,
698,1,49,351,1406,
10,351,1,28,300,
1407,10,300,1,25,
687,1408,10,687,1,
42,770,1409,10,770,
1,69,1209,1410,10,
1209,1,48,318,1411,
10,318,1,41,828,
1412,10,828,1,57,
218,1413,10,218,1,
4,324,1414,10,324,
1,23,487,1415,10,
487,1,63,1224,1416,
10,1224,1,84,306,
1417,10,306,1,29,
230,1418,10,230,1,
5,298,1419,10,298,
1,31,618,1420,10,
618,1,52,867,1421,
10,867,1,76,1092,
1422,10,1092,1,83,
995,1423,10,995,1,
81,973,1424,10,973,
1,77,171,1425,10,
171,1,30,264,1426,
10,264,1,7,825,
1427,10,825,1,73,
182,1428,10,182,1,
10,347,1429,10,347,
1,27,255,1430,10,
255,1,93,224,1431,
10,224,1,14,270,
1432,10,270,1,24,
709,1433,10,709,1,
54,282,1434,10,282,
1,9,1203,1435,10,
1203,1,86,492,1436,
10,492,1,62,1437,
4,30,83,0,84,
0,82,0,73,0,
78,0,71,0,95,
0,67,0,79,0,
78,0,83,0,84,
0,65,0,78,0,
84,0,1438,10,1437,
1,3,1318,1439,10,
1318,1,45,330,1440,
10,330,1,91,545,
1441,10,545,1,66,
1046,1442,10,1046,1,
56,396,1443,10,396,
1,58,1326,1444,10,
1326,1,12,525,1445,
10,525,1,44,294,
1446,10,294,1,40,
1132,1447,10,1132,1,
82,585,1448,10,585,
1,67,924,1449,10,
924,1,78,1342,1450,
10,1342,1,36,1334,
1451,10,1334,1,34,
765,1452,10,765,1,
70,1283,1453,10,1283,
1,87,843,1454,10,
843,1,74,320,1455,
10,320,1,26,419,
1456,10,419,1,59,
192,1457,10,192,1,
33,288,1458,10,288,
1,11,190,1459,10,
190,1,38,513,1460,
10,513,1,61,806,
1461,10,806,1,72,
1265,1462,10,1265,1,
90,308,1463,10,308,
1,15,947,1464,10,
947,1,79,1332,1465,
10,1332,1,39,314,
1466,10,314,1,32,
1253,1467,10,1253,1,
89,369,1468,10,369,
1,60,1301,1469,10,
1301,1,55,1338,1470,
10,1338,1,13,1192,
1471,10,1192,1,85,
220,1472,10,220,1,
18,206,1473,10,206,
1,8,753,1474,10,
753,1,71,443,1475,
10,443,1,65,1476,
5,0,0};
 new Tfactory(this,"MINUS",new TCreator(MINUS_factory));
 new Tfactory(this,"DEFAULT_STATE",new TCreator(DEFAULT_STATE_factory));
 new Tfactory(this,"INTEGER_CONSTANT",new TCreator(INTEGER_CONSTANT_factory));
 new Tfactory(this,"RETURN",new TCreator(RETURN_factory));
 new Tfactory(this,"OBJECT_REZ_EVENT",new TCreator(OBJECT_REZ_EVENT_factory));
 new Tfactory(this,"STRING_TYPE",new TCreator(STRING_TYPE_factory));
 new Tfactory(this,"EXCLAMATION",new TCreator(EXCLAMATION_factory));
 new Tfactory(this,"ELSE",new TCreator(ELSE_factory));
 new Tfactory(this,"INTEGER_TYPE",new TCreator(INTEGER_TYPE_factory));
 new Tfactory(this,"FOR",new TCreator(FOR_factory));
 new Tfactory(this,"LEFT_PAREN",new TCreator(LEFT_PAREN_factory));
 new Tfactory(this,"RIGHT_PAREN",new TCreator(RIGHT_PAREN_factory));
 new Tfactory(this,"HTTP_RESPONSE_EVENT",new TCreator(HTTP_RESPONSE_EVENT_factory));
 new Tfactory(this,"MOVING_END_EVENT",new TCreator(MOVING_END_EVENT_factory));
 new Tfactory(this,"CARET",new TCreator(CARET_factory));
 new Tfactory(this,"STAR",new TCreator(STAR_factory));
 new Tfactory(this,"PLUS_EQUALS",new TCreator(PLUS_EQUALS_factory));
 new Tfactory(this,"PERCENT",new TCreator(PERCENT_factory));
 new Tfactory(this,"SLASH",new TCreator(SLASH_factory));
 new Tfactory(this,"FLOAT_CONSTANT",new TCreator(FLOAT_CONSTANT_factory));
 new Tfactory(this,"TOUCH_EVENT",new TCreator(TOUCH_EVENT_factory));
 new Tfactory(this,"COLLISION_START_EVENT",new TCreator(COLLISION_START_EVENT_factory));
 new Tfactory(this,"JUMP",new TCreator(JUMP_factory));
 new Tfactory(this,"RIGHT_BRACKET",new TCreator(RIGHT_BRACKET_factory));
 new Tfactory(this,"LEFT_ANGLE",new TCreator(LEFT_ANGLE_factory));
 new Tfactory(this,"IF",new TCreator(IF_factory));
 new Tfactory(this,"LAND_COLLISION_EVENT",new TCreator(LAND_COLLISION_EVENT_factory));
 new Tfactory(this,"STATE",new TCreator(STATE_factory));
 new Tfactory(this,"RIGHT_SHIFT",new TCreator(RIGHT_SHIFT_factory));
 new Tfactory(this,"LIST_TYPE",new TCreator(LIST_TYPE_factory));
 new Tfactory(this,"INCREMENT",new TCreator(INCREMENT_factory));
 new Tfactory(this,"AT",new TCreator(AT_factory));
 new Tfactory(this,"COLLISION_END_EVENT",new TCreator(COLLISION_END_EVENT_factory));
 new Tfactory(this,"SENSOR_EVENT",new TCreator(SENSOR_EVENT_factory));
 new Tfactory(this,"EQUALS_EQUALS",new TCreator(EQUALS_EQUALS_factory));
 new Tfactory(this,"DECREMENT",new TCreator(DECREMENT_factory));
 new Tfactory(this,"LESS_EQUALS",new TCreator(LESS_EQUALS_factory));
 new Tfactory(this,"FLOAT_TYPE",new TCreator(FLOAT_TYPE_factory));
 new Tfactory(this,"MOVING_START_EVENT",new TCreator(MOVING_START_EVENT_factory));
 new Tfactory(this,"RUN_TIME_PERMISSIONS_EVENT",new TCreator(RUN_TIME_PERMISSIONS_EVENT_factory));
 new Tfactory(this,"ON_REZ_EVENT",new TCreator(ON_REZ_EVENT_factory));
 new Tfactory(this,"NO_SENSOR_EVENT",new TCreator(NO_SENSOR_EVENT_factory));
 new Tfactory(this,"EXCLAMATION_EQUALS",new TCreator(EXCLAMATION_EQUALS_factory));
 new Tfactory(this,"MINUS_EQUALS",new TCreator(MINUS_EQUALS_factory));
 new Tfactory(this,"LISTEN_EVENT",new TCreator(LISTEN_EVENT_factory));
 new Tfactory(this,"PERCENT_EQUALS",new TCreator(PERCENT_EQUALS_factory));
 new Tfactory(this,"LEFT_BRACKET",new TCreator(LEFT_BRACKET_factory));
 new Tfactory(this,"HEX_INTEGER_CONSTANT",new TCreator(HEX_INTEGER_CONSTANT_factory));
 new Tfactory(this,"COMMA",new TCreator(COMMA_factory));
 new Tfactory(this,"PERIOD",new TCreator(PERIOD_factory));
 new Tfactory(this,"KEY_TYPE",new TCreator(KEY_TYPE_factory));
 new Tfactory(this,"SLASH_EQUALS",new TCreator(SLASH_EQUALS_factory));
 new Tfactory(this,"STATE_EXIT_EVENT",new TCreator(STATE_EXIT_EVENT_factory));
 new Tfactory(this,"COLLISION_EVENT",new TCreator(COLLISION_EVENT_factory));
 new Tfactory(this,"STRING_CONSTANT",new TCreator(STRING_CONSTANT_factory));
 new Tfactory(this,"WHILE",new TCreator(WHILE_factory));
 new Tfactory(this,"IDENT",new TCreator(IDENT_factory));
 new Tfactory(this,"DATASERVER_EVENT",new TCreator(DATASERVER_EVENT_factory));
 new Tfactory(this,"ROTATION_TYPE",new TCreator(ROTATION_TYPE_factory));
 new Tfactory(this,"AT_ROT_TARGET_EVENT",new TCreator(AT_ROT_TARGET_EVENT_factory));
 new Tfactory(this,"LEFT_BRACE",new TCreator(LEFT_BRACE_factory));
 new Tfactory(this,"DO",new TCreator(DO_factory));
 new Tfactory(this,"LEFT_SHIFT",new TCreator(LEFT_SHIFT_factory));
 new Tfactory(this,"REMOTE_DATA_EVENT",new TCreator(REMOTE_DATA_EVENT_factory));
 new Tfactory(this,"EMAIL_EVENT",new TCreator(EMAIL_EVENT_factory));
 new Tfactory(this,"NOT_AT_ROT_TARGET_EVENT",new TCreator(NOT_AT_ROT_TARGET_EVENT_factory));
 new Tfactory(this,"TILDE",new TCreator(TILDE_factory));
 new Tfactory(this,"STROKE",new TCreator(STROKE_factory));
 new Tfactory(this,"LAND_COLLISION_END_EVENT",new TCreator(LAND_COLLISION_END_EVENT_factory));
 new Tfactory(this,"TIMER_EVENT",new TCreator(TIMER_EVENT_factory));
 new Tfactory(this,"MONEY_EVENT",new TCreator(MONEY_EVENT_factory));
 new Tfactory(this,"RIGHT_ANGLE",new TCreator(RIGHT_ANGLE_factory));
 new Tfactory(this,"AT_TARGET_EVENT",new TCreator(AT_TARGET_EVENT_factory));
 new Tfactory(this,"AMP",new TCreator(AMP_factory));
 new Tfactory(this,"SEMICOLON",new TCreator(SEMICOLON_factory));
 new Tfactory(this,"AMP_AMP",new TCreator(AMP_AMP_factory));
 new Tfactory(this,"CHANGED_EVENT",new TCreator(CHANGED_EVENT_factory));
 new Tfactory(this,"LINK_MESSAGE_EVENT",new TCreator(LINK_MESSAGE_EVENT_factory));
 new Tfactory(this,"TOUCH_END_EVENT",new TCreator(TOUCH_END_EVENT_factory));
 new Tfactory(this,"EQUALS",new TCreator(EQUALS_factory));
 new Tfactory(this,"NOT_AT_TARGET_EVENT",new TCreator(NOT_AT_TARGET_EVENT_factory));
 new Tfactory(this,"STROKE_STROKE",new TCreator(STROKE_STROKE_factory));
 new Tfactory(this,"GREATER_EQUALS",new TCreator(GREATER_EQUALS_factory));
 new Tfactory(this,"TOUCH_START_EVENT",new TCreator(TOUCH_START_EVENT_factory));
 new Tfactory(this,"ATTACH_EVENT",new TCreator(ATTACH_EVENT_factory));
 new Tfactory(this,"VECTOR_TYPE",new TCreator(VECTOR_TYPE_factory));
 new Tfactory(this,"RIGHT_BRACE",new TCreator(RIGHT_BRACE_factory));
 new Tfactory(this,"STATE_ENTRY_EVENT",new TCreator(STATE_ENTRY_EVENT_factory));
 new Tfactory(this,"PLUS",new TCreator(PLUS_factory));
 new Tfactory(this,"STAR_EQUALS",new TCreator(STAR_EQUALS_factory));
 new Tfactory(this,"LAND_COLLISION_START_EVENT",new TCreator(LAND_COLLISION_START_EVENT_factory));
 new Tfactory(this,"CONTROL_EVENT",new TCreator(CONTROL_EVENT_factory));
}
public static object MINUS_factory(Lexer yyl) { return new MINUS(yyl);}
public static object DEFAULT_STATE_factory(Lexer yyl) { return new DEFAULT_STATE(yyl);}
public static object INTEGER_CONSTANT_factory(Lexer yyl) { return new INTEGER_CONSTANT(yyl);}
public static object RETURN_factory(Lexer yyl) { return new RETURN(yyl);}
public static object OBJECT_REZ_EVENT_factory(Lexer yyl) { return new OBJECT_REZ_EVENT(yyl);}
public static object STRING_TYPE_factory(Lexer yyl) { return new STRING_TYPE(yyl);}
public static object EXCLAMATION_factory(Lexer yyl) { return new EXCLAMATION(yyl);}
public static object ELSE_factory(Lexer yyl) { return new ELSE(yyl);}
public static object INTEGER_TYPE_factory(Lexer yyl) { return new INTEGER_TYPE(yyl);}
public static object FOR_factory(Lexer yyl) { return new FOR(yyl);}
public static object LEFT_PAREN_factory(Lexer yyl) { return new LEFT_PAREN(yyl);}
public static object RIGHT_PAREN_factory(Lexer yyl) { return new RIGHT_PAREN(yyl);}
public static object HTTP_RESPONSE_EVENT_factory(Lexer yyl) { return new HTTP_RESPONSE_EVENT(yyl);}
public static object MOVING_END_EVENT_factory(Lexer yyl) { return new MOVING_END_EVENT(yyl);}
public static object CARET_factory(Lexer yyl) { return new CARET(yyl);}
public static object STAR_factory(Lexer yyl) { return new STAR(yyl);}
public static object PLUS_EQUALS_factory(Lexer yyl) { return new PLUS_EQUALS(yyl);}
public static object PERCENT_factory(Lexer yyl) { return new PERCENT(yyl);}
public static object SLASH_factory(Lexer yyl) { return new SLASH(yyl);}
public static object FLOAT_CONSTANT_factory(Lexer yyl) { return new FLOAT_CONSTANT(yyl);}
public static object TOUCH_EVENT_factory(Lexer yyl) { return new TOUCH_EVENT(yyl);}
public static object COLLISION_START_EVENT_factory(Lexer yyl) { return new COLLISION_START_EVENT(yyl);}
public static object JUMP_factory(Lexer yyl) { return new JUMP(yyl);}
public static object RIGHT_BRACKET_factory(Lexer yyl) { return new RIGHT_BRACKET(yyl);}
public static object LEFT_ANGLE_factory(Lexer yyl) { return new LEFT_ANGLE(yyl);}
public static object IF_factory(Lexer yyl) { return new IF(yyl);}
public static object LAND_COLLISION_EVENT_factory(Lexer yyl) { return new LAND_COLLISION_EVENT(yyl);}
public static object STATE_factory(Lexer yyl) { return new STATE(yyl);}
public static object RIGHT_SHIFT_factory(Lexer yyl) { return new RIGHT_SHIFT(yyl);}
public static object LIST_TYPE_factory(Lexer yyl) { return new LIST_TYPE(yyl);}
public static object INCREMENT_factory(Lexer yyl) { return new INCREMENT(yyl);}
public static object AT_factory(Lexer yyl) { return new AT(yyl);}
public static object COLLISION_END_EVENT_factory(Lexer yyl) { return new COLLISION_END_EVENT(yyl);}
public static object SENSOR_EVENT_factory(Lexer yyl) { return new SENSOR_EVENT(yyl);}
public static object EQUALS_EQUALS_factory(Lexer yyl) { return new EQUALS_EQUALS(yyl);}
public static object DECREMENT_factory(Lexer yyl) { return new DECREMENT(yyl);}
public static object LESS_EQUALS_factory(Lexer yyl) { return new LESS_EQUALS(yyl);}
public static object FLOAT_TYPE_factory(Lexer yyl) { return new FLOAT_TYPE(yyl);}
public static object MOVING_START_EVENT_factory(Lexer yyl) { return new MOVING_START_EVENT(yyl);}
public static object RUN_TIME_PERMISSIONS_EVENT_factory(Lexer yyl) { return new RUN_TIME_PERMISSIONS_EVENT(yyl);}
public static object ON_REZ_EVENT_factory(Lexer yyl) { return new ON_REZ_EVENT(yyl);}
public static object NO_SENSOR_EVENT_factory(Lexer yyl) { return new NO_SENSOR_EVENT(yyl);}
public static object EXCLAMATION_EQUALS_factory(Lexer yyl) { return new EXCLAMATION_EQUALS(yyl);}
public static object MINUS_EQUALS_factory(Lexer yyl) { return new MINUS_EQUALS(yyl);}
public static object LISTEN_EVENT_factory(Lexer yyl) { return new LISTEN_EVENT(yyl);}
public static object PERCENT_EQUALS_factory(Lexer yyl) { return new PERCENT_EQUALS(yyl);}
public static object LEFT_BRACKET_factory(Lexer yyl) { return new LEFT_BRACKET(yyl);}
public static object HEX_INTEGER_CONSTANT_factory(Lexer yyl) { return new HEX_INTEGER_CONSTANT(yyl);}
public static object COMMA_factory(Lexer yyl) { return new COMMA(yyl);}
public static object PERIOD_factory(Lexer yyl) { return new PERIOD(yyl);}
public static object KEY_TYPE_factory(Lexer yyl) { return new KEY_TYPE(yyl);}
public static object SLASH_EQUALS_factory(Lexer yyl) { return new SLASH_EQUALS(yyl);}
public static object STATE_EXIT_EVENT_factory(Lexer yyl) { return new STATE_EXIT_EVENT(yyl);}
public static object COLLISION_EVENT_factory(Lexer yyl) { return new COLLISION_EVENT(yyl);}
public static object STRING_CONSTANT_factory(Lexer yyl) { return new STRING_CONSTANT(yyl);}
public static object WHILE_factory(Lexer yyl) { return new WHILE(yyl);}
public static object IDENT_factory(Lexer yyl) { return new IDENT(yyl);}
public static object DATASERVER_EVENT_factory(Lexer yyl) { return new DATASERVER_EVENT(yyl);}
public static object ROTATION_TYPE_factory(Lexer yyl) { return new ROTATION_TYPE(yyl);}
public static object AT_ROT_TARGET_EVENT_factory(Lexer yyl) { return new AT_ROT_TARGET_EVENT(yyl);}
public static object LEFT_BRACE_factory(Lexer yyl) { return new LEFT_BRACE(yyl);}
public static object DO_factory(Lexer yyl) { return new DO(yyl);}
public static object LEFT_SHIFT_factory(Lexer yyl) { return new LEFT_SHIFT(yyl);}
public static object REMOTE_DATA_EVENT_factory(Lexer yyl) { return new REMOTE_DATA_EVENT(yyl);}
public static object EMAIL_EVENT_factory(Lexer yyl) { return new EMAIL_EVENT(yyl);}
public static object NOT_AT_ROT_TARGET_EVENT_factory(Lexer yyl) { return new NOT_AT_ROT_TARGET_EVENT(yyl);}
public static object TILDE_factory(Lexer yyl) { return new TILDE(yyl);}
public static object STROKE_factory(Lexer yyl) { return new STROKE(yyl);}
public static object LAND_COLLISION_END_EVENT_factory(Lexer yyl) { return new LAND_COLLISION_END_EVENT(yyl);}
public static object TIMER_EVENT_factory(Lexer yyl) { return new TIMER_EVENT(yyl);}
public static object MONEY_EVENT_factory(Lexer yyl) { return new MONEY_EVENT(yyl);}
public static object RIGHT_ANGLE_factory(Lexer yyl) { return new RIGHT_ANGLE(yyl);}
public static object AT_TARGET_EVENT_factory(Lexer yyl) { return new AT_TARGET_EVENT(yyl);}
public static object AMP_factory(Lexer yyl) { return new AMP(yyl);}
public static object SEMICOLON_factory(Lexer yyl) { return new SEMICOLON(yyl);}
public static object AMP_AMP_factory(Lexer yyl) { return new AMP_AMP(yyl);}
public static object CHANGED_EVENT_factory(Lexer yyl) { return new CHANGED_EVENT(yyl);}
public static object LINK_MESSAGE_EVENT_factory(Lexer yyl) { return new LINK_MESSAGE_EVENT(yyl);}
public static object TOUCH_END_EVENT_factory(Lexer yyl) { return new TOUCH_END_EVENT(yyl);}
public static object EQUALS_factory(Lexer yyl) { return new EQUALS(yyl);}
public static object NOT_AT_TARGET_EVENT_factory(Lexer yyl) { return new NOT_AT_TARGET_EVENT(yyl);}
public static object STROKE_STROKE_factory(Lexer yyl) { return new STROKE_STROKE(yyl);}
public static object GREATER_EQUALS_factory(Lexer yyl) { return new GREATER_EQUALS(yyl);}
public static object TOUCH_START_EVENT_factory(Lexer yyl) { return new TOUCH_START_EVENT(yyl);}
public static object ATTACH_EVENT_factory(Lexer yyl) { return new ATTACH_EVENT(yyl);}
public static object VECTOR_TYPE_factory(Lexer yyl) { return new VECTOR_TYPE(yyl);}
public static object RIGHT_BRACE_factory(Lexer yyl) { return new RIGHT_BRACE(yyl);}
public static object STATE_ENTRY_EVENT_factory(Lexer yyl) { return new STATE_ENTRY_EVENT(yyl);}
public static object PLUS_factory(Lexer yyl) { return new PLUS(yyl);}
public static object STAR_EQUALS_factory(Lexer yyl) { return new STAR_EQUALS(yyl);}
public static object LAND_COLLISION_START_EVENT_factory(Lexer yyl) { return new LAND_COLLISION_START_EVENT(yyl);}
public static object CONTROL_EVENT_factory(Lexer yyl) { return new CONTROL_EVENT(yyl);}
public override TOKEN OldAction(Lexer yym,ref string yytext,int action, ref bool reject) {
  switch(action) {
  case -1: break;
   case 1015: { ((LSLTokens)yym).str += '\\'; }
      break;
   case 991: { ((LSLTokens)yym).str += "\\\""; }
      break;
   case 1020: { }
      break;
   case 1064: { yym.yy_begin("YYINITIAL"); ((LSLTokens)yym).yytext = ((LSLTokens)yym).str; ((LSLTokens)yym).str = String.Empty; return new STRING_CONSTANT(yym); }
   case 1069: ;   
      break;
   case 1073: ;   
      break;
   case 1003: { ((LSLTokens)yym).str += "\\\\"; }
      break;
   case 951: { yym.yy_begin("STRING"); ((LSLTokens)yym).str = "";}
      break;
   case 967: { ((LSLTokens)yym).str += "\\n"; }
      break;
   case 979: { ((LSLTokens)yym).str += "    "; }
      break;
   case 956: { ((LSLTokens)yym).str += yytext; }
      break;
   case 962: { ((LSLTokens)yym).str += "\\n"; }
      break;
  }
  return null;
}}
public class LSLTokens:Lexer {
public LSLTokens():base(new yyLSLTokens(new ErrorHandler(false))) {}
public LSLTokens(ErrorHandler eh):base(new yyLSLTokens(eh)) {}
public LSLTokens(YyLexer tks):base(tks){}

    public string str;

 }
}
